Introduction

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Welcome

Introduction ››

What is GeoTools?

GeoTools is a geo-data application that is useful to view, create, modify, analyze and report on CAD data that is geographic in nature. If your nature of business is GIS data creation, surveying, mapping, facilities management, infrastructure, landscape development, city planning or similar, GeoTools can make a difference for you and increase your productivity.

It is not a stand-alone software and needs either BricsCAD & AutoCAD as its host .dwg CAD platform.


A brief history of GeoTools

Introduction ››

The First Version Launch

GeoTools was born in the year 1999 (as V1) as a simple set of productivity tools for the AutoCAD platform. It has grown relentlessly over the last 21 years, almost completely based on user-feedback and wish-lists and is today an impressive collection of over 350+ tools under various categories. It is a nearly 100% Lisp application with some parts in ARX/BRX and .NET

German and Spanish language versions

We translated GeoTools into German and Spanish languages in the year 2008.

Support for BricsCAD platform

In the year 2011, we added support for the BricsCAD platform. This was a smooth move as the entire code-base of GeoTools (written for AutoCAD so far) was 100% source-code compatible with BricsCAD as well.

The spawning off of CADPower

By 2011, there were enough general purpose tools in GeoTools to justify a new product that would still be a productivity tool but had nothing to do with geographic data. In other words, we felt the need for a tool for every CAD user. CADPower was born as a sub-set of GeoTools in the year 2011.

Portuguese (Brazilian) version

In the year 2016, we started translating the user-interface into Portuguese (BR) language also. The first PTBR version was released in the year 2017.

GeoTools Today

GeoTools is available today in English, Spanish, German and Portuguese (Brazil) languages, for the AutoCAD & BricsCAD platforms.

In the year 2021, we released a beta version of GeoTools and CADPower for the ZWCAD and Graebert ARES Commander platforms. A full release is planned for the future.


What's New in V21

Introduction ››

What's New in V21?

The best way to tell you of all new features in V21 is to point you to our blog articles, which cover all minor and major updates of GeoTools (and our CADPower software as well) closely.

  • GeoTools-CADPower V 21.0 Released: AutoCAD 2021 Compatible

  • GeoTools-CADPower V 21.01 Update

  • GeoTools-CADPower V 21.02 Update: More Improvements!

  • GeoTools-CADPower V 21.03 Update

  • GeoTools-CADPower V 21.04 Update

  • GeoTools-CADPower V 21.05 Update, German Language Ribbons, Data Extraction from XREF

  • GeoTools-CADPower V 21.06 Update: Improvements to Parcel labeling, Data Extraction & More

  • GeoTools-CADPower V 21.07 Update: Excel Import Tools Strengthened Again

  • GeoTools-CADPower V 21.08 Update: Network License Improvements, Template Labeling

  • GeoTools-CADPower V 21.09 Update

GeoTools grows throughout its life-cycle, every week. It is not a software that waits a year to release a bunch of new features.


Getting Started

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Supported CAD Platforms

Getting Started ››

Supported host CAD platforms

GeoTools runs on the AutoCAD, BricsCAD, ZWCAD and ARES Commander platforms.

Supported AutoCAD versions

GeoTools runs on AutoCAD versions 2012 to 2022

It requires the full version of AutoCAD and does not run on the LT platform.

Supported BricsCAD versions

GeoTools runs on BricsCAD versions 18 and above: all flavors of BricsCAD are supported.

98% of GeoTools functions run on the Classic/Lite version, a handful of functions using the 3d modeler and REGION tools require Pro or above.

GeoTools is best tested under the Windows operating systems. Although it does run on Linux and Mac as well, we have not tested it enough on these platforms.

Supported ZWCAD versions

GeoTools runs on ZWCAD version 2021 and above.

Supported ARES Commander versions

GeoTools runs on ARES Commander version 2022 and above.


System requirements

Getting Started ››

GeoTools runs on its host CAD platforms - AutoCAD, BricsCAD, ZWCAD and ARES Commader. The system requirements for the host applications apply to GeoTools as well.


Readme File

Getting Started ››
--------------------------------------------------------------------------

GeoTools Version 23.21 for AutoCAD 2024-2012 platforms and vertical

applications built on any of these AutoCAD versions.

GeoToolsReadMe.TXT

Copyright (c) 1999-2023 DesignSense Software Technologies Pvt. Ltd., Bengaluru-INDIA

April 18, 2023

--------------------------------------------------------------------------

GeoTools NOTES

--------------------------------------------------------------------------

This file covers compatibility information, late-breaking news, registering

info and usage tips for the GeoTools software.

The following topics are discussed:

----- GeoTools INSTALLATION for AutoCAD -----

(General instructions for all AutoCAD versions)

1. Starting GeoTools: During installation, if you have chosen the

AutoCAD profile to use with GeoTools, there is nothing else that you

need to do in order to start using GeoTools. Simply start AutoCAD with

the chosen user profile and you should be able to start using GeoTools.

2. If you did not do the GeoTools startup configuration during Setup,

you will still be able to configure AutoCAD for GeoTools manually. To

do this, start the "OPTIONS" command (Tools->Options...) menu and go

to the "Files" tab and open the "Support files search path". Click on

"Add" and then "Browse", then point to the location where GeoTools

has been installed. By default, the installation program would have

installed this under the "C:\Program Files\DesignSense\GeoTools23_EN"

folder.

3. If you have other third-party applications, there are various ways in

which you can manually tailor your GeoTools startup.

a) If you do not already have an existing ACAD.LSP, you can use the

ACAD.LSP supplied with GeoTools. This would automatically load GeoTools

program and menu as soon as you start AutoCAD.

If you wish to be prompted whether to have GeoTools loaded or not,

please comment the appropriate commands in the ACAD.LSP file as

explained in the 'commented notes' within ACAD.LSP. Once loaded,

GeoTools can either be loaded or unloaded using the GT_LOAD and

GT_UNLOAD commands respectively.

b) If you already have an existing ACAD.LSP, you can either copy the

contents of the GeoTools provided ACAD.LSP to merge with your

pre-existing ACAD.LSP or you can load GeoTools separately by first

loading the loader program GT_LOAD.LSP and then using either the

GT_LOAD or GT_UNLOAD commands to either load or unload GeoTools.

4. Troubleshooting tips:

a. Ensure that the GeoTools folder is ahead of other support folders.

When AutoCAD starts acad.lsp from the GeoTools folder should get

executed. If there is an acad.lsp in another folder ahead of GeoTools,

that would get executed and could possibly be a reason why GeoTools

is not intitialized.

b. Ensure that the ACADLSPASDOC system variable is set to 1.

If this is set to 0 in your AutoCAD, GeoTools may not initialize

automatically in subsequent drawings opened if you have multiple

documents interface turned on and you will need to manually load

it in each drawing. The setting of ACADLSPASDOC to 1 ensures that

it is loaded in all documents automatically.

GeoTools makes extensive use of dialog boxes, some of which are wide

in size. It is therefore recommended that you use a Windows display

screen resolution of 1024x768 or more. If you encounter "Dialog

too big to fit the display" error, either increase the resolution

or use "Small Fonts" in your display settings.

(Additional Instructions for AutoCAD 2014++)

When any LISP, ARX, DVB or a .NET dll is about to be loaded in

AutoCAD 2014++, you will see additional warnings and permission

requests unless it is in a pre-determined TRUSTEDPATHS location.

This affects the loading of GeoTools as well.

GeoTools uses several VLX file and LSP files, as well as doslib ARX files

(doslib19.arx/doslib19x64.arx) as its executable components that need to

be loaded either at startup or on demand. Each one of these need

user-permission before they can be loaded in AutoCAD 2014++. You will see warning

messages popping-up seeking your permission and you will have to

explicitly grant them by clicking on the Load button each time.

If you want to avoid clicking on the Load button each time, you need

to specify all the GeoTools folders as 'trusted folder'.

You do this by following the steps outlined below:

- Start the OPTIONS command, and select the profile under which your GeoTools

is running.

- Click the Files tab.

- Click the [+] to the left of Trusted Locations.

- Click the Add button, browse to the folder where you have installed GeoTools,

and click Ok.

- If you receive an alert (about Read-Only), click [Continue].

- Click [OK] to close the Options dialog.

You will have to repeat this procedure for all the folders under the GeoTools

installation folder.

There is another quicker, back-door method to suppress these warnings, and

that is by setting the SECURELOAD system variable to 0. This makes AutoCAD

run like older versions and no security warnings are issued.

Autodesk does not recommend that you defeat the whole purpose of additional

security by doing this.

GeoTools Online help and documentation

--------------------------------------

GeoTools help is now accesible from within the GeoToools menu

by clicking on the "Help..." item.

Registering GeoTools on your computer

-------------------------------------

GeoTools registration is made based on the application key

of each computer where GeoTools is running. This is

obtained by typing 'GT_AppKey' on the AutoCAD command line.

In addition to the application key, please send us the

following information as well:

User Name:

Company Name:

Address:

City:

State:

Country:

ZIPCode:

Telephone:

Fax:

Email:

GeoTools

ApplicationKey

Contact address:

DesignSense Software Technologies Pvt. Ltd.

#365/8, Hashmitha Avenue

16th Main Road

Jayanagar 4T Block

Bengaluru - 560 041

India

Tel: + 91-9243438300 / + 91-8073279755

Tel: + 91-80-41625057

email: rakesh.rao@thedesignsense.com

URL: http://www.thedesignsense.com

GeoTools URL: http://www.thedesignsense.com/geo-tools

GeoTools direct download : http://www.thedesignsense.com/geotools/geotools_en.exe

--------------------------------------------------------------------------


Overview

Overview ››

What is GeoTools?

GeoTools is an add-on program to help you boost your productivity with AutoCAD / Map and BricsCAD. It helps you work smarter, faster and eliminates various bottlenecks you face using the plain CAD platform. GeoTools was written with mapping, GIS and Civil / Survey users in mind initially but now there are enough commands in this program for it to be useful and relevant to just any CAD user.

Tool Categories

Polyline Tools | Conversion Tools
Export Tools | Drawing Cleanup Tools
Draw Tools | Build Tools
Annotation Tools | Blocks Tools
AutoCAD Map Tools | Geographic Tools
Geological / Mining Tools | Transmission Lines Design
Railway Design Tools | Miscellaneous Tools
Selection Tools | Inquiry Tools
Toolbars & Flyouts | Settings
More Options |

GeoTools organizes its feature tools in different functional categories as shown above.

General Modes of Operation - User Interface

GeoTools commands can be selected from either the pull-down menu, the ribbon menu, toolbars, right-click context menus or simply typed on the command line.

  • All GeoTools command start with GT_
  • All Geological/mining tools start with GEOL_
  • All Transmission Tower design commands start with TR_
  • All Railway Drafting/Design start with RL_

GeoTools pull-down menu

GeoTools ribbons

GeoTools icons

Using command-line to key in the command name
Command-line names for each of the GeoTools commands are shown in the status bar at the bottom of your screen when you highlight a GeoTools command in the pull-down or toolbar menu. The command names are also shown in this manual in front of the command description.

Compatibility with Scripts

Many GeoTools commands are designed to function both with a dialog box interface (DBI) as well as command line interface (CLI) for automated scripts processing. Dialog box driven command display equivalent command line options when called through a script. To find out how each command will operate in command-line, you can turn on the command line mode in GeoTools -> Settings command. If you find any command you want that is not yet working in script mode, please let us know and we will fix that for you on priority mode.

Results of command operations

GeoTools commands which operate on a set of selected objects produce desired results and these results are always placed in active selection set. The active selection set can be accessed using the "previous" or "p" option during any Select objects: prompt. The last processed GeoTools selection is preserved in memory until it is overwritten by the next GeoTools command or if other commands process the active selection and modify/delete the objects contained in them

Object selection methods

Many of the GeoTools commands require a user selection of objects to be made. GeoTools provides several methods by which this selection can be built. Each time an object selection is required, GeoTools displays a generic dialog box (see below) labeled "Build Selection Set".

[Properties] section

Objects can be filtered on the basis of their types or layer / block names or a combination where applicable. Depending on which of these are checked, the appropriate selection mode is applied. You can graphically indicate the object property to be used by picking one "sample" object by clicking on the Pick One button at the bottom of the Properties section.

[Current Selection Values] section

Once you have selected which property to use, you can specify the values for these named objects in two ways - they can be manually typed into the edit boxes under this section labeled Objects, Layers and Blocks or can be selected from a list of available names in the current drawing document by choosing the appropriate buttons in the Names in Drawing section.

If you have to manually type in more than one name, separate them with a comma in between. Wildcards can be used to specify names.

You can choose to apply the current selection criteria (filters) to the entire drawing or to selected objects only. Accordingly, the Scan entire drawing or Scan selected objects
option must be used.

Apply

Exits the dialog box by placing the current selection in the active [previous] selection set. If another GeoTools command has invoked this dialog box, then the command continues after the selection is made. If it is called independently through the GeoTools-->Selection-->Build Selection Set (GT_ MAKESEL) command, the resulting selection set will be placed as active [previous] selection and can be accessed by using the "p" option in response to the Select Objects prompt.

Model Space and Paper Scale

GeoTools commands are tested and designed to work with model space objects only. Many of the GeoTools commands may work correctly with paper space objects also but this is not tested extensively and not supported by the developers. If a GeoTools command is not working as stated, it could be because of some paper space objects in the selection. If this is suspected, check the appropriate boxes in the Search Options section to ensure that your selection searches for objects from model space only.


Polyline Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Polyline Tools

Polyline Tools ››

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Join -> Join 3D Polylines
CmdLine : GT_3DJ

The GT_3DJ command joins 3D segments (lines or polylines) combines them into a 3D polyline. The PEDIT command does not allow joining of 3D segments. This command fills the need by allowing the Join sub command to be applied on 3D polyline segments or lines. The segments to be joined must be exactly touching each other.

Once the command has been issued, the prompts that follow are similar to the PEDIT command. You are prompted to select polylines. If a line has been selected, you are prompted to convert it into a polyline. Then you select the objects to join. All touching segments are joined to the first segment resulting in a joined 3D Polyline.

Select 3d polylines/lines to join (or ENTER to select by layer[s]):
Select objects: (do so)

If you are selecting multiple layers for processing, GT_3DJ will join them individually in their respective layers. They will not be joined across different layers except if they are selected explicitly from the command line.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Join -> Automated Join 2D Polylines
CmdLine : GT_PLJOIN

The GT_PLJOIN command automatically fuses (joins) all selected line or polyline objects together. The objects should be touching each other at their ends.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools-> Polyline-> Change 2d->3d->2d-> 2D-to-3D
CmdLine : GT_CH2D3D

The GT_CH2D3D command converts all the selected 2D Polylines to 3D polylines. A 3D polyline can hold different Z values in each vertex. The new 3D polylines thus formed will look exactly like the 2D polylines except that internally they are 3D and therefore can hold Z values.

The standard object selection dialog appears and allows polylines and lines to be selected. Click Apply and all the 2D polylines are converted into 3D polylines. The original 2D polyline will be erased.

Tech Info: GT_CH2D3D changes the DXF Group Code 70 of each polyline, adds the 8 bit and recreates a 3D polyline. The 3D polyline thus created has the 3D flag set. The 3D polyline acquires new handles but any extended entity data in the 2D polyline will be transferred to the 3D polyline.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Change 2d->3d->2d -> 3D-to-2D
CmdLine : GT_CH3D2D

The GT_CH3D2D command converts all selected 3D polylines and lines into 2D polylines and lines. Depending on the setting of the PLINETYPE variable, the 2D polylines thus formed will be either heavy weight polylines or light weight polylines.

While creating the 2d polylines, you can specify the constant elevation that the 2d polylines should acquire.

The following options are possible:

The standard object selection dialog appears and allows polylines and lines to be selected.

Click Apply and the all the 3D polylines and lines are converted into 2D polylines. The original 3D polyline will be erased.

Tech Info: GT_CH3D2D changes the DXF Group Code 70 of each polyline, removes the 8 bit and recreates a 2D polyline. The 2D polyline acquires new handles but any extended entity data in the 3D polyline will be transferred to the 2D polyline.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Optimization/Cleanup -> Densify Vertices
CmdLine : GT_DENSIFY

The GT_DENSIFY command can be used to add extra vertices to the polylines, i.e. 2D or 3D based on the "Number of segments" and "Length of segment"

Densify Method

Number of segments: Densifies or adds vertices with specified number of segments.

Length of segment: Densifies or adds vertices with specified length i.e. distance between each vertices.

Tech Info: GT_DENSIFY will not work on polylines containing arc segments. Such polylines will be ignored by the GT_DENSIFY command and must be pre-processed using other GeoTools commands before they can be densified.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Optimization/Cleanup -> Weed (Remove) collinear vertices from polyline
CmdLine : GT_REM_LINVERTS

The GT_REM_LINVERTS command removes collinear vertices from polylines. Any three vertices which fall in a straight line are said to be collinear and will be be removed.

Mark locations of removed vertices with points: Checking this box marks points at the location where the linear vertices were removed.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Vertex Management-> Add/Remove redundant closing vertex in polyline
CmdLine : GT_FIXCLOSED

The GT_FIXCLOSED command helps to add or remove the redundant last vertex of a closed polyline. In other words, this command adds or removes the duplication of the last vertex in closed polylines, which may sometimes be desirable and sometimes not.

Add Closing Vertex

Adds a redundant "last" vertex to closed polylines. This duplicates the first and last vertex of a closed polyline. The new vertex is added only if the distance between the first and last vertex is greater than the closing tolerance specified in the dialog box above.

Remove Closing Vertex

Removes the last vertex from the polyline if the distance between the first and last vertex is less than the value specified in the dialog box above.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Vertex Management -> Place Points/Blocks along vertices
CmdLine : GT_Pl_Place

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Vertex Management -> Delete single vertex polylines
CmdLine : GT_DELSVP

The GT_DELSVP command deletes a single vertex or zero-length polyline from the selected objects. Unlike the GT_0LEN2PNT command which creates a point at every location of a zero-length polyline, this command will delete it from the drawing.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Optimization/Cleanup -> Weed (remove) vertices based on distance and angle
CmdLine : GT_DISTANGWEED

The GT_DISTANGWEED command can be used to eliminate redundant vertices in a polyline by weeding out vertices that fall closer than a specified value or those segments that deflect less than a given angular value. There is also an option to create a point object at every location where a vertex was weeded.

Weed vertices closer than this value [drawing units]:
Enter the linear tolerance parameter here. This is specified in drawing units. Any two consecutive vertices that are closer (nearer) than this value will result in the second vertex to be removed. Weed if deflection angle is within this value [degrees]:
Enter the angular tolerance parameter value in degrees.

Create marker at every weeded location:
Checking this box creates a POINT object marker at every vertex location that was weeded. This helps in identifying the locations where the weeding took place.

Weed criteria

Distances: Checking this option causes weeding based on inter-vertex distance only.

Deflection angle: Checking this option causes weeding based on deflection angle only.

Deflection distance: Checking this option causes weeding based on deflection distances only. Deflection distance and angle: Checking this option causes weeding based on both deflection distance and deflection angle. tance and deflection distance: Checking this option causes weeding based on both inter-vertex distances and deflection distance.

Measure distances in: Slope: Checking this option measures slope (actual) distances.
Horizontal: Checking this option measures horizontally projected distances.

Tech Info: Polylines containing ARC segments will be weeded based on their inter-vertex straight line lengths and NOT the actual arc distances. Therefore, in areas where arc segments exist, the results may sometimes not be as desired. You may want to convert the arc segmented polylines to linear segmented polylines using the GT_PLARC2PL command.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Optimization/Cleanup -> Weed (Remove) collinear vertices from polyline
CmdLine : GT_REM_LINVERTS

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Identify -> Mark intersection points along lines,polylines,arcs
CmdLine : GT_INTERSECT

The GT_INTERSECT command can be used to mark 3d (and 2d) points of intersection between polylines, lines, arcs and/or splines. Please be aware that this command does not mark self-intersections between the segments of the same polyline or spline object. Instead, it marks points where each object intersects with other objects in the selection.

Lines, polylines, arcs, splines and circle are supported for intersection and clash detection functions.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Identify -> Find 3d intersections
CmdLine : GT_3DINT

The GT_3DINT command detects 3d intersection between two entities. Lines, arcs, polylines and splines are supported as valid entities and the two 3d points where they intersect are marked with points and can also be optionally connected by a line.

The inspiration for this program came from users in mapping, mining and geological domains where it is important to determine the crossing or intersections of linear elements. This can also be used by conceptual planning architects and engineers to perform spatial analysis of building elements in a 3D space.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Identify -> Mark junction points in a network of linear objects
CmdLine : GT_JUNCTION

The GT_JUNCTION command creates points at every junction node. A junction is defined as a point where at least three or more segments branch out in as many different directions.

Please note that while the GT_INTERSECT command creates points at every segmental intersection, the GT_JUNCTION command creates points at every junction or node where there is an explicit vertex or end point or ARC or LINE.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Identify -> Highlight PLINE vertices with 0 elevation
CmdLine : GT_PL_0

The GT_PL_0 command identifies vertices in polylines, which have an elevation of 0.0. This is particularly useful to study erring 3d polylines, which have one or a few vertices, whose elevation has fallen to 0.0 because of an erroneous program or due to operator error.

A POINT object is created on a temporary layer at the positions of vertex whose elevation is 0.0

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Identify -> Highlight elevation differences in polylines
CmdLine : GT_VXDROP

The GT_VXDROP command identifies polylines, lines, splines and 3dfaces whose vertex elevation range (difference of maximum and minimum elevations) exceed a specified value. Enter the desired vertex elevation difference into the dialog box shown above.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Process -> Assign Interpolated Z values to vertices
CmdLine : GT_PL_INTER

Often, you may have polylines in which some vertices have a zero elevation while others have non-zero elevations. The GT_PL_INTER command fills in all the zero [0.0] elevation vertices with non-zero values based on a linear distance interpolation between the non-zero vertices.

Create interpolation output file: Checking this box creates an .txt output file of interpolation

Output filename...: Click on this button to specify the output file path.

Zero tolerance: Enter the required tolerance value.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Process -> Merge adjacent closed polylines
CmdLine : GT_MERGEPOLY

The GT_MERGEPOLY command is used to merge adjacent closed polylines which have overlapping and common boundaries between them. This is a useful tool to process a set of adjacent closed polylines resulting from typical GIS analyses etc. and retain only the outer-most external boundary out of them. For this program to function, there must be overlapping segments between two polygons. If there is no overlapping polylines segments at the boundary, it will not be processed.

An illustration of what this program does is shown in the image above

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Process -> Offset closed polylines INwards/OUTwards
CmdLine : GT_INOUTOFFSET

The GT_INOUTOFFSET allows multiple closed polylines to be offsetted INwards or OUTwards with one single command.

Command: GT_INOUTOFFSET

Select Objects: (select polylines to offset)
Offset direction: [ Inwards/Outwards ] <Outwards>: (Type Inwards or Outwards)
Horizontal offset distance : <1.0000>: (Enter horizontal distance to offset)

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Process -> Polyline 'Insert Vertex' Tool
CmdLine : GT_POLYINSVX

The GT_POLYINSVX is a handy tool to populate polyline elevations by acquiring them from neighboring point objects. For example, if you have a 3d polyline running near a set of 3d point objects and want the point elevations to be transferred to the 3d polyline, this is an ideal tool. The tool is quite powerful and offers several different ways in which the transfer happens. Read the descriptions of the various options to know more.

The command requires that you choose a single 3d polyline and a selection of point features (including blocks). New vertices are created in the polyline using one of several methods as explained below.

Choose operation mode

Here, you can choose how the elevations are acquired. You can either create new vertices in the 3d polyline at a location nearest to the selected points -or- have the elevation of the existing vertex of the 3d polyline updated to the elevation of the nearest point around it.

Choose elevation rule

To further refine the earlier operation, you can specify whether the elevation from the point feature is transferred to the new polyline vertex or the elevation of the new vertex is interpolated from the existing elevations of the 3d polyline. The latter is applicable only if the 3d polyline already has valid elevations, in which case the nearby point features only offer the nearest XY location to create a point while the elevation comes from within the 3d polyline.

Include points and/or blocks

It is often possible to have spot heights and point blocks which contain height. This option allows to define the selection filters whether to allow only points, blocks or both in the selection.

Connect [source->target] elevation lines

Checking this option draws a line between the point from which elevation was acquired to the point on the 3d polyline where the elevation was transferred. This is more for checking and verification purposes to ensure that all elevations have been acquired from a valid point. On the other hand, it may sometimes also be necessary to draw this line if you want a design line to be shown as specified.

Move points/blocks to polyline

Checking this option moves the nearby points and blocks to the location of the newly created vertex on the 3d polyline.

Block names to select (separate with commas)

The default is * (all blocks). You can specify the names of the blocks that you want to be processed. Useful in survey and other drawings where there are a number of feature-based blocks and you want to deal with only specific ones.

Search Tolerance

This is perhaps one of the important parameters. The search for nearby points / blocks will be successful only if it is within the distance specified here.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Process -> Polyline Transfer corresponding vertex polyline elevations
CmdLine : GT_TRANSFER_PLELEV

Description pending

Toolbar : Polyline Tools
Menu :GeoTools -> Polyline Tools -> Inquiry & Statistics -> Compute detailed polyline statistics

CmdLine : GT_PL_STAT

The GT_PL_STAT command generates detailed statistics from a selected polyline. The statistics is reported in three different areas:

  • On the command line

  • As a CAD Table

  • As CSV files which can be opened in Excel.

Create output file: Check this option if you want the output from this command to be exported to CSV file which is the native format for Excel.

The contents of the CSV file has been expanded to include the following:

Vertex #,X-Coord,Y-Coord,Z-Coord,SegmentLength,Radius,Inc.Angle,Direction,SegmentSlope(%),SegmentSlope(degs),Azimuth(Bearing)

Browse: Click on this button to select an output file to save the polyline statistics listing

Create tabular output: Creates the polyline statistics in a tabulated form

Table Type: Choose the table type here. The options are CAD Table, Text Table or None.

Treat polyline as elevation view: Checking this option causes the polyline to be treated as elevation view. In other words, the X and Y of the two vertices of the polyline are treated as measurements in the Z plane and the difference between the Y values is taken as the actual elevation difference between the points.

Hide dialog box and run GT_PL_STAT with current settings next time: Checking this option causes GT_PL_STAT to run the next time without dialog box. You will be prompted to only select the polyline to compute statistics and the program operates with the current settings as last set. This setting enables users to run the command quickly without having to navigate through the dialog box each time. The setting remains in place for the current CAD session unless it is reset using the 'GT_SHOWDLG' command.

Table Text Height: Specify the required text height for the contents of table.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Inquiry & Statistics -> Compute summed polyline areas from selected layers
CmdLine : GT_LAYERAREA

The GT_LAYERAREA command displays the total summed area and length of all polylines in selected layer(s).

Select layers: Clicking on this button displays the complete list of layers in the drawing. From this list, you can select the layers for which you want the total summed areas to be displayed and these will be displayed each time the command starts. Create table of layers areas: Checking this box generates a table of Area, Length and Color of selected layers as shown below.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Mode editing -> Multiple Pedit
CmdLine : GT_MPEDIT

GT_MPEDIT is a global Pedit command applied to multiple polylines. The PEDIT command operates on one polyline at a time. GT_MPEDIT can be used to select multiple polylines and process them. It offers the following commands: Open, Close, Fit, Spline, Decurve, Convert to polylines and Change Widths etc.

If the Convert to polylines option is chosen, GT_MPEDIT will allow selection of lines, arcs and circles as input data.

If Change Width option is chosen, GT_MPEDIT will allow selection of polylines, lines, arcs and circles as input data.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Direction Control -> Flip (Reverse) direction
CmdLine : GT_FLIP

The GT_FLIP command reverses the direction of the polyline vertices. This command preserves the handle (see below for conditions) as well as any extended entity data that is stored with the polyline or with each or any of its vertices (in case of heavy weight polylines).

Direction Control:

Clockwise:
Choosing this option flips all counter-clockwise polylines to clockwise

CounterClockwise:
Choosing this option flips all clockwise polylines counter-clockwise

Interchange: Reverses the direction of all selected polylines irrespective of whether they are clockwise or counterclockwise.

Low to High Z:
Reverses the direction of the polylines whose last vertex elevation (Z value) is higher than the first vertex elevation (Z value).

High to Low Z:
Reverses the direction of the polylines whose last vertex elevation (Z value) is lower than the first vertex elevation (Z value).

Display graphically:
Displays the polyline direction graphically by drawing leader arrows along the polyline segments. Does not slip the polyline.

Retain same object handle for reversed polylines:

Choosing this option ensures that the reversed polylines have the same handle as the original polyline. This takes longer time to process and it does not work on polylines having arc segments. The object handle is always preserved for 3d polylines irrespective of whether the option above is chosen or not. In case of 2D polylines, the object handles will not be preserved unless this option is set. Switching this option off can greatly improve the process speed especially for long polylines.

Hide dialog box and run GT_FLIP with current settings:

By clicking this option, you can run GT_FLIP any number of times in the current session without the dialog box. You will be prompted to only select the polylines to flip and the program operates with the settings last set. The setting remains in place for the current CAD session unless it is reset using the 'GT_SHOWDLG' command.

Tech Info: The extended entity data in the objects will always be retained.

Watch:

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Direction Control -> Find out direction of polyline vertices
CmdLine : GT_PL_DIR

The GT_PL_DIR command determines if the selected polyline vertices flow in the clockwise or counter clockwise direction

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Create/Edit -> Draw 2d/3d polylines with auto-edge panning
CmdLine : GT_AUTOPAN

The GT_AUTOPAN command allows polylines to be drawn across the screen with the auto panning feature. This is a useful tool in many heads-up digitizing projects where the user needs to create long polylines that may often span across and beyond the limits of the current view.

Pan activation (percentage) of screen edge: Specify the screen edge width (in percentage) at which auto-pan should activate if the picked point of the polyline happens to be within it.

Pan displacement (percentage) of screen edge: Specify the amount (in percentage) that the view should scroll when auto pan activates.

AutoPan: Specify whether the AutoPan feature is turned On or Off.

Polyline Type: Specify whether the polyline created is a 2d or 3d polyline.

Type of Coordinate Entry: Specify whether the coordinates should be Non-Geographic or Geographic units. The format of the geographic units will be in lat, long, height. For example, 33° 01' 53.8739",18° 01' 11.2246",480.0

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Create / Edit -> Draw linear polylines from arced polylines
CmdLine : GT_LINEPOLY

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Create / Edit -> Express PEDIT
CmdLine : GT_XV

The Express Pedit command GT_XV allows a faster and quicker way to access some of the Pedit Edit Vertex commands like Move, Insert and Break. Additionally, it also provides extra commands like polyline statistics - slope length, horizontal projected length, X, Y and Z coordinate extents and number of vertices.

Select vertex on polyline:

Next / Previous / Move / Z / Insert / Break / Statistics / Settings / eXit <Next>:

Use Next and Previous to navigate through the vertices of the polyline. The current vertex is always shown with a cross attached to it.

Move allows specifying a new location for the current vertex.

Z allows the elevation of the current point to be set

Insert allows a new vertex to be added between the current vertex and the next vertex.

Break allows the polyline to be broken at the current point. Saves some keystrokes as compared to the Pedit command.

Statistics: Generates detailed polyline statistics

Settings allows specifying whether the Move and Insert sub-commands take the Z value from the new location or inherit it from the current vertex elevation.

An example of the statistical information is shown below:

Slope length:22719.1175 Projected horizontal length:22718.4936
Max. X-coordinate:2025286.6092 Min. X-coordinate:2010210.0148
Max. Y-coordinate:924910.0082 Min. Y-coordinate:913590.4827
Max. Z-coordinate:212.5000 Min. Z-coordinate:45.6000
Number of vertices:15

Press any key to continue.

Tip: Make sure that the entire polyline is visible on screen.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Vertex Management -> Place Points/Blocks along vertices
CmdLine : GT_PL_PLACE

The GT_PL_PLACE command places a point or a block at each vertex of a polyline / line. Useful for many mapping and utility applications.

What to place?:

Points: Choose this option to place points on vertices.

Blocks: Choose this option to place blocks on vertices.

Block Name: Clicking on the button "Block Name" allows to select the block to place.

Insertion Settings:

Scale Factor: Allows to enter the required scale factor for the block.

Rotation Angle: Allows to enter the required rotation angle for the block.

Which layer to place?:

Source: Choosing this option places the block/point in source object layer.

Current: Choosing this option places the block/point in current layer.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Others -> Explode Splined
CmdLine : GT_XPSPL

The GT_XPSPL command is used to explode splined and fitted polylines. Upon selecting the splined or fitted polylines, they are exploded into their line or arc segment and then joined back to produce a "plain" polyline with line or arc segments. This command is useful to many geographic and surveying users who require a non-splined non-fitted polyline for many design purposes.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Others -> Zoom to Polyline
CmdLine : GT_ZPOLY

The GT_ZPOLY command zooms to the extents of a picke polyline.

Toolbar : Polyline Tools
Menu : GeoTools -> Polyline Tools -> Others -> Fix line/polylines with different UCS
CmdLine : GT_FIXUCS

The GT_FIXUCS command allows lines and polyline which have been created in a different (non-parallel) UCS to be brought back to the WCS at the same position.

Layer to place

Source: Creates the new polyline and places it in the layer in which it was created (source layer)

Current: Creates the new polyline and places it in the current layer

Specify: Creates the new polyline and places it in the layer specified by the user

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object.

Watch:


Conversion Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Conversion Tools

Conversion Tools ››

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Convert Arc Polylines to linear segment polyline
CmdLine : GT_PlArc2Pl

Converts arc segments in polylines or ARC objects to polylines with linear interpolated segments. The arc section is approximated by connecting with a number of straight line segments. The linear segment of the original polyline is left as it is. The arc approximation (interpolation) can be done by any one of the three methods:

Angular
In this case, sampling is done at the specified angular interval (in degrees) along the arc segment. This is useful when you want to replace an arc or circle with linear segments at every fixed angular interval like 5 or 10 degrees. This method is usually not preferred to deal with polyline arc segments in surveyed horizontal curves where it is desirable to adopt either of the other two parameters described below.

Chord Length
This is the maximum allowable chord length during the interpolation of the arcs.

Chord Perpendicular (crown distance)
This is the maximum crown distance of the chord that is allowable during the arc interpolation. The crown distance is the distance from the midpoint of the chord to the arc.

Layer to place:

Source: Choosing this option places the converted polylines in source object layer.

Current: Choosing this option places the converted polylines in current layer.

Delete original objects: Checking this box deletes the original objects.

Watch:

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Convert Blocks/Shapes/Text/Circle to Points
CmdLine : GT_BLKSHP2P

Creates a point at the insertion point of every shape, block or text object in the selection set. Optionally, the source objects can be deleted.

Tech Info: If there is any extended entity data or object table data in the source objects, they will be transferred to the points.

Layer to place

Source: Choosing this option creates points in the source layer
Current: Choosing this option places the points in the current layer

Specify: Choosing this options allows to specify the layer in which the points will be created

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (block/shape) after creating the points

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Convert Points/Text/Circles to Blocks/Shapes
CmdLine : GT_P2BLKSHP

Replaces all selected point objects with Blocks or Shapes.

Tech Info: If there is any extended entity data or object table data in the source objects, they will be transferred to the new target objects.

Replace with:

Block: Choosing this option allows to replace selected points with block.

Shape: Choosing this option allows to replace selected points with shape.

Insertion Settings:

Scale Factor: Allows to enter the required scale factor for the block/shape.

Rotation Angle: Allows to enter the required rotation angle for the block/shape.

Block Name: The "Blocks" button allows selecting the block for insertion.

Shape Name: Enter the shape name to insert

Layer to place

Source: Choosing this option creates block/shape in the source layer

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer in which block/shape is to be created

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (point) after creating the block/shape

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Convert Splines to polylines
CmdLine : GT_Spl2Pl

It is possible to use the GT_SPL2PL command to convert splines to polylines in three different ways.

Join Fit points: This option joins all the Fit points (DXF Code 11) of a spline and creates a polyline out of it.

Join Control points: This option joins all the Control (DXF Code 10) points of a spline and creates a polyline out of it.

Re-create spline geometry (DXF method): This method is the most precise and attempts to re-create the geometry of the spline as closely as possible. It works by creating the DXF output of the spline object in Release 12 format and then imports it in again as a polyline. With long polylines, this may occasionally cause AutoCAD/BricsCAD to become unstable and even crash. Please ensure that you save your drawing prior to running this command.

Interpolate by inter-vertex distance: This method allows specifying a distance between the two vertices of the polyline that will be created.

Vertex distance: Specify the vertex distance here. Every polyline vertex will be spaced apart by this amount.

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer to place the resultant object

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (Spline) after converting to polyline

Watch:

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Convert 0 Lengths to POINTs
CmdLine : GT_0len2pnt

GT_0LEN2PNT converts all zero length objects into Points so that they can be easily identified and handled. The program accepts both lines, polylines and 3dfaces.

Often, because of a programming error or an improper import from other CAD systems or during processing of 3dface information for modeling purposes, zero length lines, polylines and 3dfaces get created. These objects are mostly redundant and do not contribute to the data in any way.

The standard object selection dialog box appears and allows the selection of polylines, lines and 3dfaces.
The elevation of the point object is the average of all the vertices.

Source: Choosing this option places the points in source object layer

Current: Choosing this option places the points in current layer.

Specify: Choosing this option allows to specify the layer for placing the points.

Label-name: Displays the selected layer name.

Select: Pops-up the Select Label Layer dialog box for choosing the required layer.

Delete original objects: Deletes the original zero length objects after converting them into points.

Tech Info: The points created will acquire new handles but any extended entity data in the source objects will be transferred to the points.

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> 3DFaces to polylines
CmdLine : GT_3DF2PL

The GT_3DF2PL command creates a 3d polyline from the vertices of selected 3dface objects

Layer to place

Source: Choosing this option places the result in the layer in which it was created (source layer)

Current: Choosing this option places the result in the current layer

Specify: Choosing this option allows to specify the layer in which the resultant object should be placed

Layer-name: Displays the name of the layer selected

Select: Clicking on Select button pops up the select layer dialog box

Delete original objects: Checking this box deletes the original source object (3DFace) after converting to polyline

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Convert lines and arcs to polylines
CmdLine : GT_Line2Pl

The GT_LINE2PL command is used to convert LINE, ARC and CIRCLE objects into polyline objects. The dialog box allows options to create either a light weight or heavy weight polyline out of the source objects.

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Scale Z values
CmdLine : GT_Scale_Z

Updates a 2D Polyline, 3D Polyline and 3D Face by multiplying the Z of each vertex by a factor. Also supports Z scaling for POINTs, BLOCKs and SHAPEs.

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Assign Properties
CmdLine : GT_ASN_PROP

Assigns either of the two primary properties (Thickness or Elevation) to selected points, polylines, lines, shapes, blocks or circles. These properties are inherited from nearby text objects or from block attributes and converted to their numeric values. Typically, any object, which has only one DXF Group Code 10, can be used.

The GT_ASN_PROP command is useful as an "intelligence adding tool" in cases where the elevation or thickness value was created separately as a free standing text or block attribute.

This command can also be used to update an existing block with the elevation or thickness value derived out of the value of one of its attributes.

Assign what property?

Elevation: Select this option to assign the elevation value from a neighboring text/block attribute.

Thickness: Select this option to assign the thickness value from a neighboring text/block attribute.

Inherit from:

Text: Searches around the point for text objects only to inherit the value

Block: Searches around the point for block attributes (of the specified tag name) only to inherit the value.

Polyline search options:

First and Last points only: Only the first and last points of selected polylines will be checked for nearby elevation text objects. This is more suitable for 2d poylines where elevation has to be sought for the entire polyline.

All points: Each vertex of the polyline is searched for a vicinity elevation text (or block) object. This is perhaps more suited where you want to assign different elevations to each vertex of the 3d polyline.

Measure distance to:

Nearest visible location: Select this option to find any visible part of the text/block within the search distance.

Insertion point: Select this option to find the text/block whose insertion point is within the search distance.

Inherit object property only once (ignore in subsequent processing): This option ensures that the property is inherited only once from any object.

Delete object after property inheritance: The object whose property is inherited is deleted from the drawing immediately.

Attribute tag name: Specify name of an attribute tag to look for near the object.

Search Distance: Specify the distance to search around the object.

Watch:

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Automatically Assign contour elevations
CmdLine : GT_ASS_EL

GT_ASS_EL is an "intelligence adding" tool. It allows you to assign elevations to contour polylines which do not have elevations. You are asked to pick a reference contour and then the subsequent contours in order. On specifying the contour interval, all the contours are assigned elevations based on the reference contour and the contour interval.

Watch:

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Assign contour elevations (automatically) from text objects
CmdLine : GT_ASS_EL_AUTO

Description to be added

Watch:

Toolbar : Conversion Tools

Menu : GeoTools -> Conversion -> Assign contour elevations (manually) from text objects

CmdLine : GT_ASS_EL_TEXT

GT_ASS_EL_TEXT is another "intelligence adding" tool. It allows you to assign elevations to contour polylines which do not have elevations but, unlike the GT_ASS_EL command which performs automatic incrementing of elevations, this command asks for a text label object. You are asked to pick a contour and a text object which will represent the contour elevation.

Watch:

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Attributes to Xdata
CmdLine : GT_Att2Xd

The GT_ATT2XD command converts block attributes to extended entity data directly in one single process.

Watch:

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Heavy-weight to Light-weight / Light-weight to Heavy-weight
CmdLine : GT_ConvertPoly

Description Pending

Toolbar : Conversion Tools
Menu : GeoTools -> Conversion -> Heavy-weight to Light-weight / Light-weight to Heavy-weight
CmdLine : GT_ConvertPoly

Description Pending


Export Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Export Tools

Export Tools ››

Toolbar : Export Tools
Menu : GeoTools -> Export -> Import/Export points and lines
CmdLine : GT_IMPEX

The GT_IMPEX command allows point and linear objects to be exported to a variety of ASCII Text formats or imported from ASCII files. You need to specify before-hand whether you are exporting or importing linear features or point features. These two feature types cannot be mixed during an import or export operation.

A point feature includes points, blocks, shapes and text. A linear feature includes lines, polylines and splines. Curve-fitted polylines will be processed with only their defining control points. In other words, the curve-fit points will be ignored.

General Options: The General options section covers parameters like file name / format etc which are applicable for both import and export operations.

ASCII file Format: The data format to be used can be selected from the drop-down list box. This can be either of the following formats:

  • NE
  • NEZ
  • NEZD
  • PEN
  • PNE
  • PENZ
  • PNEZ
  • PNEZD
  • EN
  • ENZ
  • ENZD
  • PENZD
  • DNEZ
  • Other

where,
P - Point Number
N - Northing (X coordinate of the point)
E - Easting (Y coordinate of the point)
Z - Elevation (Z coordinate of the point)
D - Description (A short text attribute describing the point)
Other - This will allow user defined column formats to be used.

In the 'Import' option, a new format called 'Other' has been introduced. This allows a wider range of coordinates and other data combinations in the import file to be supported and processed. For example, if your X & Y (or E & N) coodinates start only at the 4th column of the file, you can now skip columns while reading using the I (for Ignore) parameter in the 'Other' file format.

For example, IIIXYZ or IIIEN can be used to process an input file where the first three columns are ignored and the X & Y coordinates are defined in the 4th and 5th columns.

Stacked fields (one per line): Selecting this box allows P, E, N, Z and D to be on separate lines one below the other instead of being on one single line separated by a delimiter.

Ignore lines starting with: During Import operations, a comment character can be specified to enable lines starting with that character to be ignored. Exporting of data can be done based on delimited fields or column-wise. Accordingly, you can set a delimiter character or specify the start column positions in the ‘Column widths’ dialog.

Export Options: These settings relate to exporting of data from AutoCAD / BricsCAD.

Object descriptions to use: This section specifies the object description that can be used by each of the object types. The basic properties of objects like layer-name, block/shape name, attribute values (for blocks) or object data (if AutoCAD Map is running) can be specified. This will go into the Description field.

Import Options: These settings relate to import of ASCII data into AutoCAD / BricsCAD.

Create point features as: Point features can be created as points, blocks or text objects. The descriptions of incoming point features can be used as layer names, point numbers or stored as block attributes / object data as applicable.

Process geographic coordinates in D-M-S format: A new option has been added in the 'Import' section to recognize and process points as geographic coordinates in the (Degree-Minute-Second (DMS) format).

If this option is checked, all incoming coordinate data is checked if it fits the format of DMS and it is accordingly processed into the X or Y coordinate value of the point.

Supported DMS formats are: 12 56 27.3287 (degrees-minutes-seconds) or 12 56.45 (degrees and minutes)

Multiple description import: makes possible for text files containing additional description data to be imported into the drawing as attributes, object data or plain text. Until now, only one description field was possible via the format descriptor PENZD,.. etc. Now, you can bring in as many and all of the descriptions into the DWG

Watch:

Toolbar : Export Tools
Menu : GeoTools -> Export -> View handles-linked ASCII data
CmdLine : GT_VIEWLINKED

Using the GT_VIEWLINKED command, you can view and correlate information between an ASCII / CSV file and its drawing by selecting a record and have the command zoom to the corresponding object in the drawing. The handle of the object is used as a key to make this connection.

Using the GT_IMPEX command, you can export the object handle into an export file. When used in conjunction with GT_IMPEX command, this provides a useful debugging tool to view and check output records.

Toolbar : Export Tools
Menu : GeoTools -> Export -> Import (read) ARC ASCII DEM files
CmdLine : GT_READDEM

Description Pending

Toolbar : Export Tools
Menu : GeoTools -> Export -> Export (write) ARC ASCII DEM files
CmdLine : GT_WRITEDEM

Description Pending

Toolbar : Export Tools
Menu : GeoTools -> Export -> Multiple drawings export in various formats
CmdLine : GT_MULTEXPORT

The GT_MULTEXPORT command allows you to select multiple DWG files and export them in various formats. The following formats are supported in different versions of AutoCAD / BricsCAD as listed below :

AutoCAD 2004, 2005, 2006
------------------------
3D Studio (3DS)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)

AutoCAD 2007
------------
3D DWF (DWF)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)

AutoCAD 2008
------------

3D DWF (DWF)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)
V8 DGN (DGN)

AutoCAD 2009
------------
3D DWF (DWF)
3D DWFx (DWFx)
Metafile (WMF)
ACIS (SAT)
Bitmap (BMP)
Lithography (STL)
Encapsulated PS (EPS)
V7 DGN (DGN)
V8 DGN (DGN)

Toolbar : Export Tools
Menu : GeoTools -> Export -> Extract individual GML features from GML file
CmdLine : GT_EXTRACTGMLFEATURES

The GT_EXTRACTGMLFEATURES command takes the master GML file and splits it into individual GML files - one per feature. This makes managing GML data easier, which are often hundreds of megabytes in size. The splitted GML files will be automatically stored in a sub-folder and have a name beginning with the feature name, and a .GML extension.

Watch:

Toolbar : Export Tools
Menu : GeoTools -> Export -> Import a single GML feature from file
CmdLine : GT_READGMLFEATURES

The GT_READGMLFEATURES command works on splitted GML files created by the GT_EXTRACTGMLFEATURES command, and import them into CAD creating point, line and polygon objects. The attribute data is attached as XDATA. There are options to read a single file, all files in the folder or read data feature-wise.

Note: Best practice for GML import: First, run the GT_EXTRACTGMLFEATURES command and split your master GML file into individual feature files. Next, run the GT_READGMLFEATURES command and import each feature into CAD.

Watch:


Drawing Cleanup

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Drawing Cleanup Tools

Drawing Cleanup ››

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Analyze and fix polyline elevation trends
CmdLine : GT_ZTREND

The GT_ZTREND command is used to analyze and fix (or set) Z elevation trends in 3d polylines.

In many 3d mapping situations, it is often necessary to ensure that digitized 3d polylines have consistently Upwards or Downwards flowing vertex elevations. The GT_ZTREND command helps to check and ensure this. In many instances of surveyed data, the elevation flow may temporarily be reversed within a tolerance. The command can also identify such within-tolerance reversals and fix the data

Elevation flow must be:

Upwards (increasing values): Checks if the polyline vertex is moving downwards consistently.

Downwards (decreasing values): Checks if the polyline vertex is moving downwards consistently.

Elevation reversal tolerance: Enter the tolerance within which the reversal should take place.

Include closed polylines also: Check this button to include processing of closed polylines also.

Automatically correct elevation if within tolerance: Checking this button causes the program to automatically correct polyline elevations when the variation is within tolerance.

The reporting structure in the GT_ZTREND command has been improved significantly. This command is used to determine the trend of elevation values in polyline vertices. The vertices where the elevation trend is not correct is highlighted by creating point objects at the locations in a temporary layer. The reporting structure has been improved considerably. At the end of the run, it now displays the full statistics of number of vertices with Z trend errors, found, fixed, ignored, as well as creates POINT objects in a temporary layer showing locations where the trend is not as desired. Additionally, an ASCII report file is also generated showing information from the processing.

Watch:

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Remove Overlapping segments from lines selection
CmdLine : GT_OVERLAP

The GT_OVERLAP command is a very powerful tool to quickly remove completely or partially overlapping line segments.

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Delete duplicate entities
CmdLine : GT_DELDUP

This command deletes duplicate entities from the current drawing. You can apply a linear tolerance value to determine how close the objects must be to be considered a duplicate. It is possible to further check if geometric duplicate entities have the same layer, Xdata, object data or Z value.

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Linear and Node Snap (MAGNET)
CmdLine : GT_NODELINESNAP

The GT_NODELINESNAP command is used to perform drawing cleanup of linear features and point features. This command fixes undershoot and overshoot errors in line feature data, by snapping points in linear objects to nearby linear or point features. Point feature data also can be cleaned by snapping them to other points or lines in the vicinity.

The ‘Snap Type’ section specifies which (source) feature type will snap to which other (target) feature type.

Linear features include AutoCAD / BricsCAD lines, polylines, arcs or spline objects.

Point or Node objects include AutoCAD / BricsCAD Point, Insert [Blocks] and Shape objects.

The command works equally well with both 2D and 3D objects. In case of a 3D object like a 3D polyline vertex, the snapping can be performed in either XY directions only retaining the existing elevation (Z) or it can snap in XYZ and inherit the elevation (Z) from the target object.

For snapping to linear objects, two tolerances, ENDpoint and NEArest are applied in that order around the point in question to search for the target point. The priority and values of these tolerances are of significance and must be set carefully after studying the data. First, the ENDpoint snap is applied and it that fails, the NEArest snap is applied next. Internally, the command uses the AutoCAD OSNAP function and these tolerances are based on OSNAP.

The ENDpoint and NEArest tolerances are applicable only when you are snapping to a linear object. The NODe tolerance is applicable when you are snapping to a point object.

The Z snap tolerance ensures that only source and target points whose elevation difference is lesser than this amount will only be snapped. This tolerance is provided to prevent points having a very high elevation difference from being snapped to each other.

Snap criteria for Line2Line / Line2Node: Additional snap criteria for Line2Line and Line2Node snap modes determine whether all vertices or only the end points will be considered for snap.

Snap Mode: (as explained above)

Snap to objects within current selection only: Checking this option causes the snap to be applied ONLY if the target point falls on an object which belongs to the initial selection and not to other objects in the drawing.

Snap options: This section provides options to mark and preview the points that would be snapped, or to snap automatically without preview.

Watch:

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Identify intersecting segments (Kinks) in polyline
CmdLine : GT_KINK

The GT_KINK command detects and highlights kinks in polylines. A kink is a "knot" or a "back twist”. A self intersecting polyline. The GT_KINK command helps identify these intersection points so that remedial action can be taken. The kink can then be removed with the Pedit or GeoTools Express Pedit command XV. The kink intersection is highlighted as point objects in a temporary layer.

Note: Polylines which have kinks will fail when used as selection boundaries in the ESELECT command.

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Break crossing objects at ends
CmdLine : GT_BREAKX

The GT_BREAKX command breaks polylines and lines located at the ends of selected lines and polylines. This command is often better than the equivalent tools in AutoCAD Map

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Lineworks Intersection processor
CmdLine : GT_INTEX

The GT_INTEX command is useful in processing a network of intersecting polylines. Using this command, polylines can be either broken (split) at their intersections or have a vertex added at the intersecting points. The command requires one or two selection sets of polylines to be defined - a source selection set and an optional target selection set. The source selection can be made to work on the target selection i.e. the source selection set objects look for intersections with the target selection set objects. Or, you can have the source selection set objects look for intersections with objects within itself.

The ‘Object Break’ and ‘Vertex Add’ operations can be applied either on the source, target or both selection sets.

Important note: The GT_INTEX command works only with polyline objects (both 2d as well as 3d). They must contain only linear segments and must not be splined, fitted or contain arc segments. If you have source objects that intersect with target objects that are 3d polylines, make sure that your source objects are defined as 3d polylines. If you have source objects that intersect with target objects that are 3d polylines, make sure that your source objects are defined as 3d polylines. Else, the interpolation will be incorrect.

The following related commands in GeoTools may be useful in preparing correct data for use by the GT_INTEX command.

Watch:

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Detect free ends (dangles) of lines,polylines and arcs
CmdLine : GT_DANGLECHECK

The GT_DANGLECHECK command is useful to detect free standing ends of polylines, lines, arcs and splines, also known as dangling ends. A user-defined search window tolerance is applied around the ends and if there is no other object in the vicinity, the end is treated as a free standing end or a dangle. All such end points are marked with POINT objects in the GeoTools temporary layer "GEOTOOLS_TEMP" so that they can be easily checked.

Search Window Size around endpoints: Enter the value for search window around the objects endpoints.

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Create right angle corners
CmdLine : GT_HSQUARE

The GT_HSQUARE command is a building squaring tool. It adjusts the angles of a polyline such that they form an exact right angle between adjacent segments. You can set an angle tolerance value to determine segments that should be adjusted. This tool is useful for fixing building edges (captured from satellite imagery) which are skewed because of camera or terrain tilt.

Watch:

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Weed points based on spacing
CmdLine : GT_POINTWEED

The GT_POINTWEED command removes points (or blocks) which are closer to each other by a user-specified distance.

Note: The precision value for search distance is set as per the current linear units precision

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Check for coincident (XY) points with varying Z
CmdLine : GT_ENDELEVCHECK

The GT_ENDELEVCHECK command is used to check the two end points of linear objects like lines, polylines, splines and arcs to see if there are other linear objects whose either end-point is at the same XY but different Z location. Optionally, a vertical line can be drawn connecting the two coincident points.

Toolbar : Drawing Cleanup Tools
Menu :GeoTools -> Drawing Cleanup -> Set out-of-range elevation values to nearest valid elevation values
CmdLine : GT_SET_Z_PL

Often, you may have polylines in which some vertices have a zero [0.0] elevation while others have non-zero elevations. The command GT_SET_Z_PL sets the Z values of those zero elevation vertices to the nearest non-zero vertex elevation value. The command scans through the polyline and seeks a non-zero value nearest to it and assigns it to the vertex. Thus, at the end of the command run, there will not be any polyline vertices, which are of 0.0 elevation. Therefore, this command is best used when you are sure that there should not be any vertex of elevation = 0.0 anywhere along the polyline.

Watch:

Toolbar : Drawing Cleanup Tools
Menu : GeoTools -> Drawing Cleanup -> Make polylines/3dfaces planar
CmdLine : GT_PLANARPOLY

The GT_PLANARPOLY command is used to make a polyline or 3dface planar. A planar polyline or 3dface is one in which all the vertices can be placed on a single plane. Generally, this is possible only if all the vertices have the same elevation or, in the special case of a 4-vertex polyline, the polyline can be considered planar if two pairs of adjacent vertices have the same elevation. The GT_PLANARPOLY command makes this happen by setting the elevations of adjacent vertices same if they are within a specified tolerance. The need to create perfectly planar polylines or 3dfaces is often required and useful in photogrammetry data capture and rendering applications.


Draw Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Draw Tools

Draw Tools ››

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Enhanced, easy 3D point
CmdLine : GT_EASY3DPOINT

GT_EASY3DPOINT allows 3d point objects to be created easily. It mimics the POINT command but allows the elevation value to be entered at each point pick prompt.

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Draw embankment hatch slopes pattern
CmdLine : GT_EMBHATCH

The GT_EMBHATCH command is use to draw a hatch pattern of alternating long and short lines of the kind shown in the figures below to represent an embankment slope pattern.

The GT_EMBHATCH command requires two boundaries represented as lines or polylines. The hatch pattern is created as a series of long and short lines with the specified spacing in between them. The ratio of the long and short lines is expressed as a percentage length. This command works on linear straight lines only.

The 'Hatch as 3d' option will additionally ask for elevations of the embankments and create the hatch lines in 3d. This helps in better visualization while annotating the terrain in a 3d context.

Watch:

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Draw a polyline by joining points in sorted order
CmdLine : GT_SORTEDPOLY

The GT_SORTEDPOLY command draws a polyline through selected points sorted in Positive X, Negative X, Positive Y or Negative Y direction.

Sort Order

Increasing X values : Choosing the option draws the polyline in increasing (positive) X direction.
Increasing Y values : Choosing the option draws the polyline in increasing (positive) Y direction.
Decreasing X values : Choosing the option draws the polyline in decreasing (negative) X direction.
Decreasing Y values : Choosing the option draws the polyline in decreasing (negative) Y direction.

Watch:

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Create vegetation cover line pattern
CmdLine : GT_VEGLINE

The GT_VEGLINE command is used to create vegetation cover line patterns. The patterns are drawn as arced polylines and you can control the size, shape and pattern of arcs as shown in the dialog box above. You can save and restore the parameters used by this command in ASCII files.

Layer to place Source: Explodes the polyline and places the result in the layer in which it was created (source layer)Current: Explodes the polyline and places the result in the layer which is currentSpecify: Explodes the polyline and places the result in the layer selected by the userLayer-name: Displays the name of the layer selectedSelect: Clicking on Select button pops up the select layer dialog boxDelete original objects: Checking this box deletes the original source object after exploding

Watch:

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Coordinates Table
CmdLine : GT_CoordsTable

Description pending

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Parcel-Lots -> Draw Parcel-Lots
CmdLine : GT_LOTMAKER

Description pending

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Parcel-Lots -> Parcel-Lots Labeling
CmdLine : GT_LOTSLABELLER

Description pending

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Parcel-Lots -> Draw center-lines from guidelines
CmdLine : GT_CLINE

Description pending

Toolbar : Draw Tools
Menu : GeoTools -> Draw -> Parcel-Lots -> Clean lot boundaries by snap/trim
CmdLine : GT_EDGECLOSE

Description pending


Build Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Build Tools

Build Tools ››

Toolbar : Build Tools
Menu : GeoTools -> Build -> Make rights-of-way / pavements / ramp
CmdLine : GT_ROWMAKER

The GT_ROWMAKER command can be used to create right-of-ways by offsetting a road center line on both sides by a specified distance. It can be used with both 2D and 3D polylines, as well as polylines with arcs and Spline objects.

Width of right-of-way: Specify the width of the right-of-way.

Select R-O-W layer: Select the layer into which the newly created ROWs must be placed.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Draw center from road R-O-W
CmdLine : GT_CENTLINE

The GT_CENTLINE command is used to create road center lines from right-of-ways. The user must draw zig-zag lines across the right-of-way along its entire length. The mid-point of the segment of the zig-zag line that intersects the right-of-way is taken as the road center line point and the line joining a series of such center line points forms the road center line.

Command: GT_centline

Digitize Road Center Lines from Rights-Of-Way:
Pick Start point of line: <do so>
First zig-zag point: <do so>
Generate/Jump/Manual/Undo/eXit:<Next zig-zag point>: <pick a point or Type G, J, M, U or X>
....................
....................
....................

Upon starting the GT_CENTLINE command, you are asked to pick the start point of the road center line. Pick a point as shown in the illustration above. A sub-menu appears which provides the following options:

Generate/Jump/Manual/Undo/eXit <Next zig-zag point>:

The default option is to pick the next zig-zag point. In the illustration above, the zig-zag lines are shown by the red lines. GT_CENTLINE determines where each zig-zag line exactly intersects the right-of-way and calculates the mid-point between them as the road center line point.

Generate [G]: The Generate option is used to display the road centerlines drawn so far.

Jump [J]: The Jump option is used to temporarily suspend the digitization of a zig-zag point. This is an on/off toggle. This option is typically used when you want to skip certain areas and would like to move the zig-zag point to another place to continue the digitizing.

Manual [M]: The Manual option allows the road centerline points to be manually digitized. This option should be used when it is easier to specify the road center-line point by a direct pick rather than by the zig-zag method.

Undo [U]: The Undo option allows the last digitized centerline point to be undone.

eXit: The X option exits the GT_CENTLINE command and creates the road centerline digitized so far.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Offset 3d polylines by distance
CmdLine : GT_3DOFFSET

The GT_3DOFFSET command is used to offset 3d polylines in the same manner as 2d polylines. 3D polyline can be offset both horizontally and vertically. This can be a very useful in several civil engineering design situations that require the offsetted polyline to be offsetted and elevated or lowered by a fixed amount relative to the source polyline.

Menu: GeoTools -> Build -> Offset 3d polylines by distance
Switching to World Coordinate system...
Select 3d polyline to offset:
Horizontal Offset distance: <1.0000>: 25

Vertical Offset distance: <1.0000>: 2.5
Pick side to offset: Both/BOX/Layer/Xit <Xit>:b
Select 3d polyline to offset:

As you can see from the above transcript, there is an option to offset the 3d polyline in either the picked direction or on both sides or even create a closed box polyline out of the offsetted polyline. If you have a 2d polyline and want to offset using this command, simply change it to a 3d polyline first using the GT_CH2D3D command.

Watch:

Toolbar : Build Tools
Menu : GeoTools -> Build -> Offset 3D polylines by Slope
CmdLine : GT_3DOFFSETSLOPE

The GT_3DOFFSETSLOPE command is used to offset 3d polylines by providing a slope angle (either in degrees or in 1:n format) and a desired change in elevation. This is an extension of the existing GT_3DOFFSET command that does 3d offsets by horizontal and vertical distances only.

: GT_3DOFFSETSLOPE

Command added on: September 20, 2017
Menu: GeoTools -> Build -> Offset 3d polylines by slope
Switching to World Coordinate system...
Select 3d polyline to offset:
Enter slope in degrees (or enter slope in 1:n format) <45.0000>: 30

Enter desired change in elevation from original polyline <1.0000>: 2.5
Pick side to offset:

Toolbar : Build Tools
Menu : GeoTools -> Build -> Offset 3D polylines along section
CmdLine : GT_3DOFFSETSECTION

The GT_3DOFFSETSECTION command is used to offset a 3d (or even 2d) polyline along the defining points of a 2d cross-section, in such a way as to create a 3d model of the same. This is an extension of the existing GT_3DOFFSETSLOPE command that where only one side slope can be defined. The section option sweeps a 2d cross-section along a 3d (or 2d) polyline in such a way that a full 3d model is generated.

It is also possible to create a 3D DTM of the swept path surface using 3dface objects.

: GT_3DOFFSETSECTION
Command added on: September 20, 2017
Menu: GeoTools -> Build -> Offset 3d polylines along section
Switching to World Coordinate system...
Select 2d/3d polyline to use as center-line path:
Select 2d polyline to use as cross-section (CS) for offset:
Pick an anchor point on the CS polyline: <5405476.6187,5001190.3668,0.0000>:

Toolbar : Build Tools
Menu : GeoTools -> Build -> Create centroid marks inside closed polygons
CmdLine : GT_CREATECENTROID

The GT_CREATECENTROID command is used to create centroidal marks inside closed polylines, splines and circles.

Layer to create in:

Source: Creates the centroidal marks in the source layer( i.e the layer in which the closed polylines reside).
Current: Create all the centroidal marks in the current layer
Specify: Choosing this option allows specifying the layer in which the centroidal marks will be created.
Select: Clicking on Select button pops up the Select Layer dialog box.

Object to create: Specifies the type of object to create.

ACAD Point: An AutoCAD/BricsCAD point object is created at the centroidal location of each closed polyline.
Running Text Number: A Text string is created which is incremented by 1 each time for the next polygon being annotated with centroidal marks.
Fixed Text string: A fixed text string value is used for the annotation of the centroidal mark. The value of this text string is specified in the edit box provided for it.

Start Number: Specify the start number to be used for the annotation, if the Running Number Text option was chosen.
Format Width: Specify the required format width. This will prefix Zero before the running number text such that the string length is at least equal to the format width specified.
Fixed Text string value: Specify the value of the fixed text string to use for annotations.
Text Height: Enter the height for marking the Text string or Running number text.

Ensure that the centroidal point always falls physically inside polygon: If this option is checked and if the centroidal falls outside the polygon, it will be moved to a location physically inside the polygon.

The GT_CREATECENTROID command has an option to run without the dialog box selector. To enable this, you much check the option within the dialog box which says "Hide dialog box and run GT_CREATECENTROID in command-line mode next time". This setting is not saved in registry and reverts back to dialog box mode when your CAD is re-started.

Watch:

Toolbar : Build Tools
Menu : GeoTools -> Build -> Multi-Variable Measure
CmdLine : GT_MVMEASURE

The GT_MVMEASURE command allows multiple and variable distances to be measured along lines, polylines and splines.

Specify segment length

Cumulative - From beginning of line: Select this option to mark the user specified distance on the polyline, always measured from the start of the polyline.

Each segment: Select this option to mark the user specified distance relative to and following (after) the previous segment.

Equal Spacing (like MEASURE command): Select this option to create points or blocks at equal spacing. This is similar to the standard MEASURE command, additionally it allows points to be placed at the start and end of the line, and also control the scale factor of the block being inserted.

Place blocks at measured points: This option allows you to select a block from the current drawing which will be placed at the measured point locations

Break at measured points: This option breaks the polyline at each of the measured positions.

Align block with object: Check this option to align the block with the slope of the line at each point.

Place at first and last point also: Checking this option automatically places a block or point at the first and last vertices of the curve.

Scale Factor: Specify the required scale factor for the block

A new option to place the blocks (or points) at equal spacing (like the MEASURE command) has been added. In addition to the MEASURE commands capabilities, this option also allows to specify the block scale factor and also place one at the start and end of the line too.

Better reporting of distances

We realized it is important to tell the user what exactly happened. So, we added new information messages during the run of the command which, now tells the user exactly at what distance from the start of the polyline (or from the last added point), a new object was created.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Join nearest ends of lines, polylines
CmdLine : GT_JNE

The GT_JNE command is used to join the nearest ends of two selected lines and/or polylines with a connecting line and optionally join all the three into one single polyline.

Command: Select first object: (do so)
Select second object: (do so)
Join all segments together? [ Yes/No ] <Yes>:

Toolbar : Build Tools
Menu : GeoTools -> Build -> Build common edges along closed, adjacent polygons
CmdLine : GT_EDGEBUILDER

The GT_EDGEBUILDER command is a tool useful for building edges along adjacent, closed polylines. A typical scenario in GIS data preparation or modeling involves creating intersection-to-intersection edges on a network of closed polygons adjacent to each other. The GT_EDGEBUILDER command is an attempt to fulfill this need in an easy way.

Like in every GeoTools command, it is best to start with data that is as clean and accurate as possible. BEFORE you start this command, it is essential that all duplicate segments from the selection are removed and cleaned using the GT_DISTANGWEED command.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Build [image] Interpolate point elevation from neighboring polylines - manual pick
CmdLine : GT_PTINTERMANUAL

The GT_PTINTERMANUAL command is useful to assign point elevations by interpolating the elevations of neighboring polylines.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Interpolate point elevation from neighboring polylines - automatic
CmdLine : GT_PTINTERAUTOMATIC

The GT_PTINTERAUTOMATIC command is useful to assign point elevations by interpolating the elevations of neighboring polylines or 3dfaces from surface data. This is done by automatically scanning the surface data layers.

You are first asked for an initial zoom window size. If surface data for interpolation could not be found in the specified zoom, the value is incremented by 1.0 unit and a new search is initiated.

Next, you must specify the surface name to be used. A list of available saved surfaces are presented. The surface data must also be available in the drawing in the layer Surface<Surface_Name>. If such data is not available, it must first be imported using the GT_IMPORTSURFACE command.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Create closed polylines from a mass of networked polylines
CmdLine : GT_CCPOLY

The GT_CCPOLY command is used to create closed polylines from a mass of inter-networked polylines, lines, arcs and circles. It is nothing but an automated version of the BPOLY command and it applies BPOLY at regular intervals in X and Y directions along a rectangular grid and creates closed polylines (resulting from BPOLY) from the adjoining boundary set. The program uses a parameter called 'Scan Window Size' to determine the BPOLY sampling interval. Needless to say, the GT_CCPOLY can be quite slow in its operation because it has no intelligent way to know how many unique closed polylines would be created. Since the BPOLY sampling is done at each regular interval, the program takes more time if the sampling interval is smaller and vice versa. Nevertheless, the program can be useful in many cases. Use it appropriately by specifying a scan window size that works with optimum speed and accuracy.

Scan method:

Automatic: Setting this option causes the command to scan at periodic intervals specified by Scan Window Size (see below) and a unique enclosing polygon created will be accepted as the output.This is a time consuming option and the Scan Window Size must be set judiciously after knowing your data pattern before-hand.

At selected points: This option is used if you already know your scan anchor points. Typically, these would be the centroidal locations or some such similar known points. The closed polygon generation is must faster when you know the points before-hand.

Scan Window Size: Enter the amount of search (scan) size. The selection set will be formed by searching around the scan point by a square window that is defined by this size.

Zoom Window size: Enter the amount of zoom size. While applying the scan window, the zoom is kept at this size. It is advisable to keep the zoom window slightly larger than the scan window for best results.

Select Layer for closed polylines : Clicking on this button pops up the dialog box for selecting the layers of closed polylines

Select Layer for polygon edges : Clicking on this button pops up the dialog box for selecting the layers of polygon edges.

Watch:

Toolbar : Build Tools
Menu : GeoTools -> Build -> Create a boundary (closed polygon) around a point
CmdLine : GT_BOUNDARY

Description pending

Toolbar : Build Tools
Menu : GeoTools -> Build -> Create mathematical offsets between two contour polylines
CmdLine : GT_CONTOUROFFSET

The GT_CONTOUROFFSET command can be used to create an offset polyline in between two given contour polylines.

This command will ask the user for two polylines representing two contours and will create an intermediate "offset" polyline at the correct interpolated elevation between the two polylines.

The location of vertices for the offset polyline will be determined on the basis of configurable parameters like 'Offset Percent' (percentage distance between the two polylines) or an absolute distance from a point on the first polyline and measured towards a similar point on the second polyline.

The algorithm used to determine the offset polyline positions is not yet perfect to handle polylines of all geometric shapes. Often, the command may create offset polylines which are completely unacceptable as an interpolated offset. We would like you to be aware of these limitations.

To overcome some of these bugs, you may run the command again reversing the order of pick for the first and second polylines. This may sometimes produce better results.

Alternatively, you can also try to apply either of the two algorithms that the program uses. If one algorithm does not work for one set of polylines, the other might work or produce better results.

To determine a match point on the second polyline, the program uses a technique which is based on proportionally equivalent distance matching between and along the two polylines.

Algorithm to use:

Method 1: Select this option to use the primary algorithm

Method 2: Select this option to use the alternative algorithm, if the primary algorithm does not work.

Offset Method:

Percentage: If you select this option, the offset polyline will be created at the specified percentage distance between the first polyline and second polyline.

Distance: If you select this option, the offset polyline will be created at the specified distance from the first polyline towards the second polyline.

Sampling Method:

At Each vertex: The offset polyline created will have only as many vertices as the first source polyline.

At sampling interval: If you select this option, the first polyline will be sampled according to this interval and for each of these sampled points, the corresponding offset polyline points will be generated.

Sampling interval: Enter the distance along the first source polyline to create sampling points, which will then be used to create offset polyline points.

Percentage distance from first polyline: Enter the percentage distance from first polyline at which to create the offset polyline points.

Actual distance from first polyline: Enter the actual distance from first polyline at which to create the offset polyline points.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Place points along linear network
CmdLine : GT_NETNODES

The GT_NETNODES command is used to place nodes (points) along a linear network of connected lines and/or polylines. This command performs a simple trace through the entire network and places points in such a way that that no two points are closer to each other than the specified distance which is measure along the network (and is NOT the straight line distance) between the two points. Please be aware that the command expects that the network is topologically correct, cleaned and that the end points of the lines are EXACTLY touching each other.

Distance interval for placing nodes : Specify the distance at which the nodes (points) have to marked.

Search window size : Specify the size for the search window as per the drawing unit.

Select layer to place nodes : Clicking on this button will pop-up the select layer dialog box for placing the nodes (points) in required layer.

Toolbar : Build Tools
Menu : GeoTools -> Build -> Drape a 3D polyline across a set of intersecting linear objects
CmdLine : GT_DRAPEPOLY

The GT_DRAPEPOLY command can be used to drape a set of 3d polylines (source objects) over a set of intersecting linear objects (target objects). Upon draping, this command creates vertices all along the source objects (3d polylines) where they intersect the target linear objects.

The dialog box above allows entry of various controlling parameters. You can specify 'Out-of-Range' values if you know the valid elevation limits of your data so that you can eliminate erroneous processing.

Selection of source objects is by a usual selection method. Selection of target objects can either be manual or by crossing or by a defined corridor.

For source objects, lines and polylines are the allowed selection objects.

For target objects, the acceptable objects for selection are lines, polylines, arcs, splines and 3dfaces.

Select source objects: (do so) - allows a filtered selection of 3d polylines only

Select target objects: (do so) - allows a filtered selection of linear objects like lines, polylines (both 2d and 3d), arcs and splines.

After GT_DRAPEPOLY runs, there will be new vertices created on the source polylines at every point where they intersect the target objects. If the intersecting objects are 3d, their 3d intersection value will be computed and used.

Watch:

Toolbar : Build Tools
Menu : GeoTools -> Build -> Split larger polygons into smaller ones
CmdLine : GT_POLYAREASPLIT

The GT_POLYAREASPLIT command is useful for those who want to proportion large closed polygons into smaller closed polygons cut to an exact target area. This is a useful tool in land acquisition and property parcel planning and sub-division activities.

The GT_POLYAREASPLIT command mimics the manual process of trial & error to arrive at the closest area value. You first pick a closed polyline which represents the larger polygon that needs to be splitted. Next, you must provide two two guide lines, one stationary and another that is moved in small increments in a direction that increases the area. The entire process can be interactive or automatic. As soon as target area is reached, the program stops.

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Data Manager
CmdLine : GT_DATAMAN

The GT_DATAMAN command is used to define a simple XDATA based database which operates entirely inside your CAD drawing. All data is stored in XDATA attached to entities and the database definition is provided in a simple INI file.

A sample structure of the INI file looks like this. Explanation about the syntax is provided after each section.

[*RECORD]
Name=BAR_INFO
Type=XDATA
FIELD=Section,String,1000
FIELD=Weight per unit length,Real,1000.0
FIELD=Cost per unit length,Real,500.0
FIELD=Supplier,String,Tata
FIELD=Photo,Link,(none)
[*RECORD_END]

The [*RECORD]....[*RECORD_END] section defines the database strcture. It is defined with lines having <Parameter>=<Value> syntax.

The 'Name' parameter specifies the database name (or the XDATA application name).

The 'Type' parameter indicates the type of database. In this case, it is 'XDATA'. In future, additional database types like 'ATTRIBUTES' etc will be introduced.

[*FIELD_VALUES]
Name=Section
Values=ISMB 200
Values=ISMB 300
Values=ISMC 400
[*FIELD_VALUES_END]

The [*FIELD_VALUES]....[*FIELD_VALUES_END] section defines the fields structure. This is also defined with <Parameter>=<Value> syntax.

The 'Name' parameter specifies the Field Name.

The 'Values' parameter defines the commonly used values for the field. These will appear in a pull-down menu when the GT_DATAMAN command is run.

There will be multiple [*FIELD_VALUES] section in the INI file, as many as the number of fields. However, it is not mandatory to define the [*FIELD_VALUES]. If this section is not defined for a field, there will be no pull-down menu options while entering data for the field.

The GT_DATAMAN command now supports an additional data type which allows files on the disk, server or cloud to be attached to selected objects. Using this option, you can create a link between an external file and your CAD entities. There is also a 'Show' option which allows to display the linked file automatically by launching the application with which it is associated.

For example, in the [RECORD] section above, the FIELD Photo is defined as a Link type. This means that it will offer Browse and Show buttons to select a file to be linked with the object and display it using the associated application.

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Attach Object Data
CmdLine : GT_ATTACHDATA

Description Pending

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Detach Data
CmdLine : GT_DETACHDATA

Description Pending

Toolbar : Build Tools
Menu : CADPower -> Build -> CADPower Object Data -> Edit Data
CmdLine : GT_EDITDATA

Description Pending

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Copy Object Data
CmdLine : GT_COPYDATA

Description Pending

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Label CADPower Object Data
CmdLine : GT_LABELDATA

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Querry Object Data
CmdLine : GT_QUERYDATA

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Export CADPower Object Table Data to ASCII (CSV) files
CmdLine : GT_CPOD_EXPORT

Description Pending

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Import Object Data from CSV files
CmdLine : GT_CPOD_IMPORT

Description Pending

Toolbar : Build Tools
Menu : GeoTools -> Build -> GeoTools Object Data -> Create tabular CAD data from object table data
CmdLine : GT_CPOD_TABLEDATA

Toolbar : Build Tools
Menu :GeoTools -> Build -> GeoTools Object Data -> Transfer block attributes to GeoTools object table data
CmdLine : GT_CPOD_ATT2OD

Description Pending

.


Annotation Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Annotation Tools

Annotation Tools ››

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Label polyline vertices
CmdLine : GT_VXLABEL

This command places text labels along polyline, line, 3dfaces and spline vertices. The following types of labels can be created for each vertex.

Annotate Using:

X co-ordinate value:
The X co-ordinate of each vertex is written as a text label next to each vertex.

Y co-ordinate value:
The Y co-ordinate of each vertex is written as a text label next to each vertex.

Elevations (Z):
The elevation of each vertex is written as a text next to each vertex.

XY co-ordinate value:
The x and y co-ordinates of each vertex is written as a text label next to each vertex.

XYZ co-ordinate value:
The x, y and z co-ordinates of each vertex is written as a text label next to each vertex.

Running Number:
The vertex count starting from the beginning is written (this initial count can be set by the user)

Cumulative Slope Distance from start:
The cumulative slope distance from the first vertex is computed and written next to each vertex (the initial starting distance can be set by the user).

Cumulative Horizontal Distance from start:
The cumulative horizontal distance from the first vertex is computed and written next to each vertex (the initial starting distance can be set by the user).

Prefix Options:

Prefix with X=, Y=, Z= Choosing this option places the prefixes, X=, Y=, Z= before each coordinate value
Prefix with E=, N=, H= Choosing this option places the prefixes, E=, N=, H= before each coordinate value
No prefix (co-cordinates only) No prefixes are written, only co-ordinates values are written
Prefix with M=, P=, H= Choosing this option places the prefixes, M=, P=, H= before each coordinate value. This is Portuguese notation for Easting and Northing.

Label first and last points only:
Places labels on the first and last points of polylines only. Useful if the polyline is too dense and you do not want lables at every point.

Reset vertex numbering for every line/polyline:
Starts vertex numbering from the specified start value for every polyline or line. If this option is not checked, vertex numbering continues incrementing across each polyline.

Apply elevation check before labeling.
Checking this box makes a check for the elevation between specified range and labels only those vertices which fall between the range

From [elevation]
If Apply elevation check before labeling is chosen then the From [elevation] box allows you to enter the start elevation for range check.

To [elevation]
If Apply elevation check before labeling is chosen then the To [elevation] box allows you to enter the end elevation for range check.

Starting Station Number:
If Running Number is chosen as the label option above, then this option allows the first station number to be set. You may want to set this to a number higher than 1 if this polyline is being labeled in succession to another polyline which was preceding it.

Starting Station Distance:
If Cumulative Distance from start is chosen as the label option above, then this option allows the first station distance to be set. You may want to set this to a number higher than 0.0 if this polyline is being labeled in succession to another polyline which was preceding it.

Label Text Height:
Specifies the label text height.

Rotation Angle:
Specifies the rotation angle for text.

Horizontal Text Offset from vertex:
Specifies the offset distance in the horizontal (X) direction in CAD units from the vertex position at which you want the label to appear.

Vertical Text Offset from vertex:
Specifies the offset distance in the vertical (Y) direction in CAD units from the vertex position at which you want the label to appear.

Precision for x,y,z coordinates:
Specifies the X, Y and Z coordinates precision independently. They must be separated by commas. For example, entering the coordinates
precision as 2,2,1 will display the coordinates with 2 decimal places in X, 2 in Y and 1 in Z.

Label-name: Displays the selected layer name.
Select: Pops-up the Select Label Layer dialog box for choosing the required layer.

Watch:

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Label polylines with attached data
CmdLine : GT_PL_DATALBL

The GT_PL_DATALBL command is used to label polylines with attached data – like object data, extended entity data or database-linked data. When multiple object labeling is chosen, the label is automatically placed at the mid-point of each object. When single object labeling is chosen, the user has to specify the label locations. You can create complex label strings by joining data from multiple fields with a specified delimiter, with prefix/suffix etc as required.

The command offers several sub-dialogs which allow individual categorized parameters (OD / DB / XD) and general settings to be specified.

Annotation parameters:

The annotation parameters specify the visual appearance of the annotation and are common to all the three data types being annotated.

Style: This button brings up the annotation style dialog box that determines how the text label annotation is to be placed relative to the polyline and view direction

Object Data settings dialog:

Database settings dialog:

Annotation Style settings dialog:

Data Format: This button brings up the Data Format dialog box that specifies various miscellaneous formatting options as shown below.

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Label polyline segments
CmdLine : GT_SEGLABEL

This command writes the segment distance annotation along each segment of the polyline.

What to label?

Distances: Choosing this option places the inter-vertex distance as the label text.

Bearing: Choosing this option places the surveyor’s bearing between two vertices as the label text.

Slope: Choosing this option places the segment slope annotation as the label text.

Distances@Slope: Choosing this option creates the annotation in the format - ‘Distance @ Slope'

Distances@Bearing: Choosing this option creates the annotation in the format 'Distance @ Bearing'

Running Number: Choosing this option allows to label the segments as sequential numbers

Labelling Formats:

Distances: Clicking this option opens up a distances format dialog box. This allows the distances to be annotated in various ways.

Slope: Displays distances as actual slope distances.

Horizontal: Displays distances as horizontally projected values.

Apply Segment length check before labeling: Checks the length of the segment and if it falls within the specified range only, they will be labelled.

Bearing: Clicking this option opens up a bearing format dialog box. This allows the bearings to be annotated in various ways.

Decimal Degrees: Writes the whole circle bearing in decimal degrees.

Deg/Min/Sec (000-00-00): Writes the bearing in degrees, minutes and seconds in the DDD-MM-SS format.

0d00'00': Writes the whole circle bearing in deg, min and sec format.

0º00'00": degree-minute-second format in the style D°M'S".

N 0d00'00' E: Writes the bearing in surveyors units.

Radians: (0.000r) Writes the whole circle bearing in radians

Gradients: (0.000g) Writes the whole circle bearing in gradients (One gradient=1/400th of a circle)

Slope: Clicking this option, opens up a slope format dialog box. This allows the slopes to be annotated in various ways

As percentage: Choosing this option causes the grade annotation to be created as a percentage. For example, uphill grades are created as "2% Up" and downhill grades are created as "2% Down".

As decimal: Choosing this option causes the grade annotation to be created in decimal format. For example, uphill grade will be created as "1:50 Up" and downhill grade will be created as "1:50 Down".

Direction: Choosing this option causes the strings "Up" or "Down" to be written along the segment depending on whether the slope is going downward or upward.

Arrow in Elevation Direction [Up->Down]: Choosing this option draws an arrow along the segment in Upward to Downward direction with respect to the elevation.

Arrow in Elevation Direction [Down->Up]: Choosing this option draws an arrow along the segment in Downward to Upward direction with respect to the elevation.

Degrees: Choosing this option causes the slope values in degrees to be annotated next to the segment.

Per Mille: mean 'Per 1000' : This slope annotation method is often used in hydraulics to denote the slopes of canal beds and similar structures. It is
denoted as 'x o/oo', where 'x' is the amount of slope per 1000 of horizontal distance.

Precision for grade value: Enter the number of decimal places to be used in the precision for grade values.

Treat polyline as elevation value: If this option is checked, the polyline is treated as an elevation view (or long/cross section as called in some countries) and the segment slope annotation is done accordingly. In elevation view, the polyline is assumed to be drawn in the Z plane.

Vertical exaggeration factor: This is the factor by which the Z value of the polyline vertices must be multiplied when the polyline is being viewed
in 'ElevationView'.

Annotation Position:

Along Segment: Choosing this option places the annotation text along the direction of the segment.

Perpendicular to segment: Choosing this option places the annotation text perpendicular to the direction of the segment being annotated.

The next two options further specify the annotation text placement positions by specifying if the annotation is along the segment, above or below it. For Perpendicular to segment option above, The Above, Below and On Segment option in this section will be grayed out.

Above Segment: The annotation will be placed above the segment. For the purpose of determining the position of anotation, the segment is imagined from its start point to end point as a horizontal X-axis, and the the space above it is considered as the Space Above and vice versa.

Below Segment: The annotation will be placed below the segment. For the purpose of of determining the position of annotation, the segment is imagined from it start point to end point as a horizontal X-axis, and the space below it is considered as the Space Below and vice versa.

On Segment: The annotation will be placed on and along the segment.

Left of segment: This option enables the annotation to be placed to the left of the direction of the segment being annotated. This is applicable only when the Perpendicular option is chosen.

Right of segment: This option enables the annotation to be placed to the right of the direction of the segment being annotated. This is applicable only when the Perpendicular option is chosen.

Text Orientation:

Always upright: Flips text by 180 degrees to make them readable.

Always aligned: Does not perform any text flipping. The rotation angle will be as determined, entirely by the segment direction.

ARC label options:

Midpoint of arc: Choosing this option places the label at the midpoint of each arc segment. This may be an arc segment of a polyline or an ARC object.

Midpoint of chord: Choosing this option places the label at the midpoint of each chord length of the arc segment. This may be an arc segment of a polyline or an ARC object.

Label Formatting:

Label Text Height: Specifies the label text height.

Watch:

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Label contour polylines
CmdLine : GT_CONTLABEL

The GT_CONTLABEL command places labels along polylines, lines, arcs and splines. You can use it to label just about anything that is a linear object such as label roads, fences, boundaries, traversas, etc. The label can be the elevation of the object or you can specify a user string to be placed as a label.

What to label?

Elevation: Labels the elevation information of the polyline

User String: Enter a user-defined string value that is used to annotate along the polyline.

Curve Length: Labels the length of contour.

Text Orientation

Always upright: Create labels that are always face up. This cause any text that is between rotation angles of 90 and 270 degrees to be flipped by 180 degrees.

Always aligned: Check this option to create labels which are always aligned to the direction of the line. This can result in inverted text.

Annotation Position:

Along Segment: Choosing this option places the annotation text along the direction of the contour segment.

Perpendicular to segment: Choosing this option places the annotation text perpendicular to the direction of the segment being annotated.

The next two options further specify the annotation text placement positions by specifying if the annotation is along the segment, above or below it. For Perpendicular to segment option above, The Above, Below and On Segment option in this section will be grayed out.

Annotation Position:

Above Segment: The annotation will be placed above the segment. For the purpose of determining the position of anotation, the segment is imagined from its start point to end point as a horizontal X-axis, and the the space above it (positive Y axis) is considered as Above.

Below Segment: The annotation will be placed below the segment. For the purpose of determining the position of anotation, the segment is imagined from its start point to end point as a horizontal X-axis, and the the space below it (negative Y axis) is considered as Below.

On Segment: The annotation will be placed on and along the segment.

Annotation Position:

Left of segment: This option enables the annotation to be placed to the left of the direction of the segment being annotated. This is applicable only when the Perpendicular option is chosen.

Right of segment: This option enables the annotation to be placed to the right of the direction of the segment being annotated. This is applicable only when the Perpendicular option is chosen.

Text spacing

Repeated: Checking this option causes GT_CONTLABEL to place the labels repeatedly along the line at an interval specified in the Spacing (see below)

At picked point: Checking this option allows the user to manually pick points on the line where the annotation is desired. This option does not place annotations automatically and does so only at the picked point.

At cutting line locations: Checking this option allows the user to specify two points that define a line and the program will generate annotations at every intersection of the line with the selected contour polyline objects.

At mid-point of curve: Checking this option places the label at the mid of the contour.

At ends of the curve: Checking this option to place the label at the two ends of the contour.

Visibility

Fully Visible: Creates labels that do not have a text mask under them. Contours under the label will be visible.

Hide underneath (WIPEOUT): Creates labels with a text mask underneath. Contours and any other objects crossing the label will not be visible. The WIPEOUT objects are used for masking and these are placed in a fixed layer called CONTLABEL_$TEMP$. The option caledl Delete all existing WIPEOUTs in ths same dialog box clears and removes any existing text masks (WIPEOUTs).

Apply elevation check before labeling

Conditional annotation can be performed based on a range of elevation values or multiples of elevation value, by checking this option.

Type of check: Choose the type of elevation check required - Range or Multiple

From (elev): Enter the elevation vale to start annotations from.

To (elev): Enter the elevation vale to end annotations at.

Multiple Of: Enter the multiple value of the contour elevation. Only those matching the multiple value will be annotated.

The GT_CONTLABEL command was enhanced in V 18.02 with the 'Multiple of' option. For example, if you have 1m interval contours and want to label only the 10m contours, you can specify 10 as the multiple value and only 0, 10, 20 and so on... will be labeled. This extends the elevation check conditional labeling functionality further. In the earlier versions, you could label the contours along a given range of elevations.

Other annotation parameters

Text Style: Select the text style to use for the annotation.

Text Height: Specify the text height to use for annotation.

Annotation Spacing: Specify the annotation distance between labels when the Repeated Option above is chosen.

Annotation Label String: Specify the text label to be used if the User String option above is chosen.

Label Layer: Displays the selected layer name.

Select: Pops-up the Select Label Layer dialog box for choosing the required layer.

Color: Pops-up the Standard color dialog box for color selection.

Invert elevation values: Check this option to invert the sign of the elevation value. +5 becomes -5 and vice-versa.

Break Contour object around label: If this option is checked, the contour object will be broken around the text label.

Label at midpoint of contour if length is less than spacing: Checking this option causes only one annotation of text at the midpoint of the contour if its length is less than the label spacing.

Delete all existing WIPEOUTs: Checking this option instantly deletes all the WIPEOUT objects that are created in CONTLABEL_$TEMP$ layer. This is a cleanup operation..

Watch:

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Label points
CmdLine : GT_IDXYZ

The GT_IDXYZ command labels picked points with X, Y, Z, XY or XYZ coordinate values. A number of formatting options can be specified as shown in the dialog above.

Watch:

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Annotate points, based on layer names
CmdLine : GT_ANNOTPOINTS

The GT_ANNOTPOINTS command is used to annotate a set of points based on a layer lookup table. This command is useful in several surveying applications where the raw data is first imported into AutoCAD / BricsCAD as a set of random point objects placed on several different layers. It is then often required to label these points with meaningful and descriptive text labels with correct text style and height. This command helps to create such a labeled text. Each set of annotation parameters (like text label, style, height etc) is specified on a per-layer basis. These sets of per-layer annotation parameters can be saved/restored from ASCII files.

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Create / Update length annotation
CmdLine : GT_LENTEXT

The GT_LENTEXT command creates a length or area annotation. If you have a line, polyline, arc, spline or a circle, its length (and area, where applicable for closed curves) can be easily annotated as text using this command. You can create .

The GT_LENTEXT command has been completely revamped and improved. In addition to length annotation, this command now supports area annotation also, which is also exposed through a new command alias called GT_AREATEXT.

The following improvements are made in the functioning of this command:

  • For length annotations, you can now use arcs, circles and splines also, in addition to lines and polylines.
  • For area annotations, you can use closed polylines, splines and circles.
  • Area annotations from closed curves can be created as text objects, or existing ones updated (similar to CP_LENEXT functions).
  • When existing text is updated with length or area values, you now have an option to append the value to the existing text. This feature was added based on user requests from many of our CAD detailing users who often want to capture a name and length/area quickly in DWG and export as CSV files to Excel. For example, a reinforcement detailing drawing containing the bar names and length, or bounded area names and area can now be easily tagged together in text objects (using the append option) and exported to Excel (via CSV) using the CP_TXT2FILE command easily. This significantly cuts down a painful and manual process of measuring each length using OSNAP and having to manually type it in along with the name into Excel. This enhancement is generic and is useful in a large number of CAD detailing situations in the quantity take-off department.
  • The 'Modify length/area' and 'Pre-set length unit conversions' are fully supported for both length and area annotations.
  • During length measurement of picked polylines, it is now possible to specify whether you want to annotate the full length of polyline or length of the picked segment alone. Earlier, the GT_LENTEXT command would only annotate the length of the picked segment and not the full length. With this optional setting, it is now easier for the users to have finer control of the output as desired.
  • A number of other improvements have been made in the user interface and messaging for a better user experience.

Watch:

Toolbar : Annotation Tools
Menu : GeoTools -> Annotation -> Create annotations at intersections
CmdLine : GT_CREATEANNOT

The GT_CREATEANNOT command helps you create annotations across a line based on the intersecting objects along its path. The annotation is aligned perpendicular to the direction of the path and it can be either one of the following: Layer names/descriptions, Interval Distance or Cumulative Distance.

Watch:


Blocks Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Blocks Tools

Blocks Tools ››

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Global Attribute Editor
CmdLine : GT_ATTEDIT

The GT_ATTEDIT performs global editing of block attributes as shown in the dialog box below.

Watch:

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Search and replace text/attributes
CmdLine : GT_ZOOMTXT or GT_ZT

GT_ZOOMTXT is a tool for text search and replace.

Search embedded text: Enables or disables checking of embedded parts of text or attribute strings.

Case sensitive: Enables or disables case sensitive text handling.

Search Block Attributes also: Enables or disables search block attribute text.

Replace searched TEXT: If enabled, the search text string is replaced with the replace text string

Interactive Replace (confirm each replace): If enabled, each replace operation will seek confirmation before proceeding.

Search for: Enter text string to search for.

Replace with: Enter text string to replace searched string.

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Extract Block attributes to file
CmdLine : GT_ATTEXT

The GT_ATTEXT command extracts selected attributes from blocks along with a number of other basic properties like insertion point, X, Y scale factors, rotation angle and handle.

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Transfer attributes between blocks
CmdLine : GT_ATTXFER / GT_AX

The GT_ATTXFER command transfers attributes from one block to another. You can specify the source attribute tag name and the target attribute tag name to transfer or let GT_ATTXFER do an automatic transfer of all attributes of the same name between source block and target block.

The GT_ATTXFER command brings up the dialog box each time for setting the parameters. To go directly to the command, use the GT_AX command at the command prompt.

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Transfer text strings to block attributes
CmdLine : GT_TXT2ATT

The GT_TXT2ATT command is used to transfer text strings as block attributes. Using this command, you can select a block name and specify the attributes you wish to transfer. Each attribute will then be populated with selected text strings.

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Transfer attribute data to CAD properties
CmdLine : GT_ATT2PROP

Description Pending

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Transfer CAD properties to Blocks Attributes
CmdLine : GT_PROP2ATT

The GT_PROP2ATT command allows object properties from blocks to be transferred as attribute data.

The following properties can be transferred:

Insertion point (DXF Code 10)
Block Name (DXF Code 2)
Handle (DXF Code 5)
Layer (DXF Code 8)
Rotation Angle (DXF Code 50)
Color (DXF Code 62)
Flag (DXF Code 70)
Elevation[Z] from DXF Code 10
X Scale Factor
Y Scale Factor

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Rename block attribute tags, prompts and defaults
CmdLine : GT_TAGREN

The GT_TAGREN command is used to rename block attribute tags, defaults and prompts. While renaming tag names, the command ensures that any re-positioned attributes (moved manually from their default locations) will be retained at their existing locations.

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Delete block attribute tags from block definition
CmdLine : GT_TAGDEL

The GT_TAGDEL command is an block definition management tool used to delete attribute tags from a block definition and update all inserted blocks with the new block definition.

Toolbar : Blocks Tools
Menu : GeoTools -> Blocks -> Update 'Coordinates Block' attributes
CmdLine : GT_UPDATEPOINTBLK

Surveyors often use a point block containing Easting, Northing, Elevation as attributes. You can populate such attributes using the GT_UPDATEPOINTBLK command.

Watch:


AutoCAD Map Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


AutoCAD Map Tools

AutoCAD Map Tools ››

The AutoCAD Map toolkit consists of a number of tools that are provided for use with AutoCAD Map only. They will not work in plain AutoCAD or BricsCAD.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Edit object data from AutoCAD Map
CmdLine : GT_BC_ODEDIT

Description pending

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Transfer object data / xdata between two objects
CmdLine : GT_XFER_OD_XD

The GT_XFER_OD_XD command is used to set the parameters for transfer of object table and/or extended entity data from one object to another.

Watch:

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Transfer object data between two objects
CmdLine : GT_XO

The GT_XO command actually performs the transfer between two selected objects based on GT_XFER_OD_XD settings.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Export object table data as block attributes
CmdLine : GT_OD2ATT / GT_ODA

The GT_OD2ATT command is used to set the parameters for transfer of object data to block attributes.

The GT_ODA command performs the actual transfer.

Once the object data table and the block name are selected, the object data fields and the corresponding block attributes need to be linked or associated. Multiple mapping is possible viz. more than one object table data can be mapped to the same attribute value.

Transfer Options:
Block to Block only: Brings up a selection box to select only blocks. The object table data is directly transferred from each selected block to its own attributes as per the mapping specified above.

Any Object to Block: Choosing this option allows a manual method of operation for this command using the GT_ODA command. This allows any object to be selected and its object data is transferred to a selected block whose name and attribute mapping etc. are specified in this dialog box.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Export block attributes as object table data
CmdLine : GT_ATT2OD / GT_AOD

The GT_ATT2OD command is the opposite of GT_OD2ATT and is used to transfer Block Attribute information to AutoCAD Map Object Data.

Once the block name and object data table are selected, the block attributes and the corresponding object data fields need to be linked or associated. Multiple mapping is possible viz. more than one attribute can be mapped to the same object data.

Transfer Options:
Block to Block only: Brings up a selection box to select only blocks. The attributes are directly transferred from each selected block to its own object table as per the mapping specified above.

Block to Any Object: Choosing this option allows a manual method of operation using the GT_AOD command.

Transfer specified attributes from ANY block->: Checking this option allows two or more differently named blocks with similarly named attribute tags to be used for the transfer of attributes to object table data. Disabling this option causes only blocks matching the specified name AND tag to be selected for the transfer.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Transfer database linked data to object data.
CmdLine : GT_DB2OD

The GT_DB2OD command is used to transfer CAO-linked database information to AutoCAD Map object table data. The transfer is made based on a mapping of database fields to object data fields. The database must be linked via link templates (CAO).

Important Note: (for non-English language AutoCAD / OS only) : There is possibly a bug you can encounter while running non-English language versions of AutoCAD which prevents this command from running correctly. It appears that AutoCAD is unable to read the CAO (Connectivity Automation Object) type library from the folder "C:\Program Files\Common Files\AutoCAD Shared\" in non-English AutoCAD/OS versions. To fix this problem, please copy the 'cao???16.tlb' type library files to the folder where acad.exe is residing

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Convert Object Table Data to Xdata
CmdLine : GT_OD2XD

The GT_OD2XD command transfers AutoCAD Map Object Table data to Xdata. This could be useful when you want to make object data information available to someone who has only plain AutoCAD and not AutoCAD Map.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Transfer AutoCAD properties to object data
CmdLine : GT_PROP2OD

The GT_PROP2OD command allows AutoCAD entity properties to be transferred into object data.

Property to transfer: The following properties can be transferred, where applicable.

Basic properties:
Insertion point (DXF Code 10)
Entity Type (DXF Code 0)
Text String Value (DXF Code 1)
Block,Shape Name (DXF Code 2)
Handle (DXF Code 5)
Linetype (DXF Code 6)
Text Style (DXF Code 7)
Layer (DXF Code 8)
DXF Code 11
DXF Code 12
DXF Code 13
Thickness (DXF Code 39)
Radius[arc,circle]/Text Height (DXF Code 40)
Rotation Angle (DXF Code 50)
Color (DXF Code 62)
Flag (DXF Code 70)

Derived properties:
Elevation[Z] from DXF Code 10
Length of lines/polylines/arcs/splines

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Data Convert/Transfer -> Convert Xdata to Object Table Data (generic tool)
CmdLine : GT_XD2OD

The GT_XD2OD command is yet another generic data conversion tool in GeoTools/CADPower. Using this, you can convert extended entity data to AutoCAD Map object data.

To make it easy for you to understand and try this feature, here is a sample drawing Sortedpoly.DWG with which you can try this command .

Here is an example of XDATA record structure from the sample DWG comprising of 33 records from a GPS data logging device.

(-3 ("GPS_BLOCK"
(1000 . "Tunis to Tarheel")
(1000 . "11/13/01")
(1000 . "03:42:46pm")
(1040 . 48.0)
(1070 . 0)
(1000 . "bxr101")
(1040 . 12.0)
(1000 . "Synergy")
(1040 . 0.312)
(1000 . "X42")
(1000 . "Steel")
(1000 . "")
(1040 . 2.9)
(1000 . "Differential")
(1000 . "Pro XR")
(1000 . "11/13/01")
(1000 . "04:42:46pm")
(1000 . "New")
(1000 . "Weld")
(1000 . "R1112SE1.cor")
(1000 . "7")
(1000 . "7")
(1000 . "ENCNG Transmission")
(1070 . 1140)
(1040 . 247379.0)
(1000 . " ")
(1040 . 0.0)
(1040 . 0.452)
(1040 . 9.1e-005)
(1040 . 955479.0)
(1040 . 2.60323e+006)
(1070 . 74)
)
)

Notice that all XDATA is stored in codes. Some of the common codes used like 1000 & 1001 are string codes, 1040 is a floating point value and 1070 is an integer.

We need to transfer this info into object data. So, we create a object table to hold this information and its structure looks like this (see below).

(
("SUB_PROJECT_NUMBER" "SUB_PROJECT_NUMBER" "Character" "")
("DATE_INSTALLED" "DATE_INSTALLED" "Character" "")
("TIME_COLLECTED" "TIME_COLLECTED" "Character" "")
("DEPTH" "DEPTH" "Real" 0.0)
("WELD_NUMBER" "WELD_NUMBER" "Integer" 0)
("X-RAY_REFERENCE_NUMB" "X-RAY_REFERENCE_NUMB" "Character" "")
("NOMINAL_DIAMETER" "NOMINAL_DIAMETER" "Real" 0.0)
("COATING" "COATING" "Character" "")
("WALL_THICKNESS" "WALL_THICKNESS" "Real" 0.0)
("GRADE" "GRADE" "Character" "")
("MATERIAL" "MATERIAL" "Character" "")
("COMMENTS" "COMMENTS" "Character" "")
("MAX_PDOP" "MAX_PDOP" "Real" 0.0)
("CORR_TYPE" "CORR_TYPE" "Character" "")
("RCVR_TYPE" "RCVR_TYPE" "Character" "")
("GPS_DATE" "GPS_DATE" "Character" "")
("GPS_TIME" "GPS_TIME" "Character" "")
("UPDATE_STATUS" "UPDATE_STATUS" "Character" "")
("FEAT_NAME" "FEAT_NAME" "Character" "")
("DATAFILE" "DATAFILE" "Character" "")
("UNFILT_POS" "UNFILT_POS" "Character" "")
("FILT_POS" "FILT_POS" "Character" "")
("DATA_DICTIONARY_NAME" "DATA_DICTIONARY_NAME" "Character" "")
("GPS_WEEK" "GPS_WEEK" " "Integer" 0)
("GPS_SECOND" "GPS_SECOND" "Real" 0.0)
("GPS_HEIGHT" "GPS_HEIGHT" "Character" "")
("VERT_PREC" "VERT_PREC" "Real" 0.0)
("HORZ_PREC" "HORZ_PREC" "Real" 0.0)
("STD_DEV" "STD_DEV" "Character" "")
("NORTHING" "NORTHING" "Real" 0.0)
("EASTING" "EASTING" "Real" 0.0)
("POINT_ID" "POINT_ID" "Integer" 0)
)

Since XDATA is not stored as a table with a field structure, it is necessary to specify the xdata in terms of the xdata codes (100,1040 etc) and the position (occurrence) of the code from the start of the XRECORD.

If you want to transfer the XDATA item "Time Collected" to object data, it must be specified as the 3rd occurrence of the 1000 field.

In other words, you choose the XDATA code as 1000 and the occurence as 3. After that, you specify the object table and the field to which this must be mapped.

Once you have setup all such mapping between the xdata records and the object data, the program will transfer the xdata to object data accordingly from all selected objects as long as the correct expected structure is mainatained in all the objects.

Please be aware that the type of the XDATA field must match the type of the object data field for the transfer map to be valid and successful. For example, character XDATA codes 1000 and 1001 can be linked to character object fields only, 1040 can link to floating point field only and 1070 can link to integer data field only.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Export -> Export object table data to ASCII files
CmdLine : GT_OD_EXTRACT

The GT_OD_EXTRACT command is used to export AutoCAD Map Object Table data as ASCII text files. The ASCII format of the exported data is generic and designed in such a way that any third-party program can be written to read the information from this file without difficulty

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Export -> Extract object table structure to a text file
CmdLine : GT_OD_STRUCEXT

GT_OD_STRUCEXT command is used to extract the field structure of an object table into an ASCII text file. When you have multiple object tables in your drawing and want to review or compare the structure, this is quite useful.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Create -> Create automatically incrementing object data
CmdLine : GT_AUTOINCROD

The GT_AUTOINCROD command is used to sequentially assign object data to objects, one after the other.

This command is very similar to the GT_TC command except that it creates auto-incrementing object data rather than auto-incrementing text objects. This command can be linked to the GT_TC command internally (and run GT_TC) and thus create auto-incrementing text objects along with object data.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Create -> Create text labels from object data / extended entity data
CmdLine : GT_OD_XD_LABEL

The GT_OD_XD_LABEL command creates text labels from object data or xdata. The labels can be created using multiple fields with specified prefixes, suffixes etc.

In the case of extended entity data, the fields are specified based on their DXF codes applicable to xdata. The following DXF codes are allowed for labeling: 1000 (string), 1001 (string), 1040 (real) and 1070 (integer). The same xdata code can be chosen multiple times in any order. However, this order must be as per the order of xdata fields in the objects being processed.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Global object data editor
CmdLine : GT_OD_EDIT

The GT_OD_EDIT command is used to globally edit object data values in the current drawing. Several Edit criteria can be applied on the data as shown in the dialog box. When no apparent criteria are applicable and you need to collectively make some arbitrary changes to the object data, you can choose the Multiple edit in notepad.exe option. This would bring up the selected object data in notepad.exe editor. Upon save and exit, the changes are reflected in the object data.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Multiple-Choice object data editor
CmdLine : GT_EASYOD

The GT_EASYOD command makes entry or editing of object data easier by offering a pre-defined, configurable set of values for each object data field, selectable from a drop-down list.

There is also a setup command called GT_EASYOD_SETUP provided which allows the table names / field names / field values to be specified and optionally saved into ASCII INI files, which can be restored in a later session of AutoCAD.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Multiple-Choice object data editor Setup
CmdLine : GT_EASYOD_SETUP

The GT_EASYOD_SETUP command allows the table names / field names / field values to be specified and optionally saved into ASCII INI files, which can be restored in a later session of AutoCAD.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Merge two object tables
CmdLine : GT_MERGETBL

The GT_MERGETBL command allows fields from one object table to be transferred to another object table. Both tables must be attached to the same object. Using this, entire object tables can be merged, if required. For example, if you have object tables A and B and wish to create a third table C that contains all fields of A and B, you can accomplish this using GT_MERGETBL.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Remove duplicate or multiple records from object tables
CmdLine : GT_REM_DUP_RECS

The GT_REM_DUP_RECS command removes duplicates object table records. It can also be used to remove multiple object table records and retain only one record.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Rename object data fields
CmdLine : GT_REN_OD_FLDS

The GT_REN_OD_FLDS command is used to rename object data field names

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Assign elevations from object data
CmdLine : GT_OD2ELEV

The GT_OD2ELEV command allows transferring a real or integer value object table data into the elevation [Z] of selected drawing entities. The entities that can accept an elevation value are points, lines, arcs, polylines, shapes and blocks

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Transfer text strings to object data
CmdLine : GT_TXT2OD

The GT_TXT2OD command is used to transfer text data into object data.

The GT_TXT2OD command is used to transfer text strings as object data. Using this command, you can select an object table name and specify the field(s) to populate. You then select a text object for each field and the text string is transferred as object data.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> List object data
CmdLine : GT_OD_LIST

The GT_OD_LIST command displays object data from selected objects in the AutoCAD text screen. Think of it as the good-old AutoCAD LIST command for object data. Additionally, the output can be exported to ASCII files.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Search and replace object data
CmdLine : GT_OD_SEARCH

The GT_OD_SEARCH command is used to search and replace object table data. Depending on the field type (Field to search, a numeric or character search is carried out.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Checks for No Xdata / Object data
CmdLine : GT_NODATA

GT_NODATA command is used to identify objects in the drawing that do not contain any object data or extended entity data belonging to selected object tables or application names respectively. This is useful in QA/QC procedures.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Break object but retain object data in broken parts
CmdLine : GT_AMAPBREAK

The GT_AMAPBREAK command works exactly like the AutoCAD Break command but it ensures that both the broken parts of the object retain their object data.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Copy object table definition
CmdLine : GT_COPYODTABDEF

The GT_COPYODTABDEF command copies one object table into another with identical field structure.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Define object table from block attributes
CmdLine : GT_DEFATTOD

The GT_DEFATTOD command is used to create an object table using block attribute tags as the object data field names.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Define block attributes from object table
CmdLine : GT_DEFODATT

The GT_DEFODATT command is used to create a block with attributes out of field names from a selected object table.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Object Data -> Define object table from linked database data
CmdLine : GT_DEFDBOD

The GT_DEFDBOD command is used to create an object table using the names and types of fields in a CAO-linked database table.

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map -> Define object data
CmdLine : GT_ADEDEFDATA

Description Pending

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map -> Attach/Detach object data
CmdLine : GT_ADEATTACHDATA

Description Pending

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map -> Edit object data
CmdLine : GT_ADEEDITDATA

The GT_QUERYPROC command is used to format the labels created during an AutoCAD Map query process with the 'Alter Properties' option. The way AutoCAD Map displays the labels after a query does not allow flexible positioning and formatting of the label text. The GT_QUERYPROC command attempts to fill that gap by allowing different ways to position the text labels immediately following the execution of the query.

The two main types of objects that can be queried are point features (AutoCAD points, blocks, text) and linear/polygonal objects (lines, polylines, splines, 3dfaces etc).

Toolbar : AutoCAD Map Tools
Menu : GeoTools -> AutoCAD Map Tools -> Select topology objects graphically
CmdLine : GT_TOPOSELECT

The GT_TOPOSELECT command creates a selection set of topology objects and places them in the active [previous] selection set.


Extended Entity Data

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Extended Entity Tools

Extended Entity Data ››

Toolbar : Extended Entity Data Tools
Menu : GeoTools -> Extended Entity Data -> Remove Xdata
CmdLine : GT_REM_XD

The GT_REM_XD command removes extended entity data belonging to specified applications from selected objects.

Watch:

Toolbar : Extended Entity Data Tools
Menu : GeoTools -> Extended Entity Data -> Search & replace extended entity data
CmdLine : GT_XD_SEARCH

The GT_XD_SEARCH command does a search (and optional replace) of extended entity data. You can search xdata fields by code as well as by position in the xdata structure. The search type will automatically be numeric or text based on the field type being searched. When there are multiple occurrences of the same code within the xdata structure, you can specify which occurrence to be subjected to the search / replace.

Toolbar : Extended Entity Data Tools
Menu : GeoTools -> Extended Entity Data -> Display extended entity data from picked object
CmdLine : GT_SHOWXD

The GT_SHOWXD command displays on the command line extended entity data from a single selected object for specified application names (see dialog box).

Successive calls to this command can also be made with the shortened command version, GT_XD which will display the extended entity data without displaying the dialog box to specify the xdata application to be used. Use the full command GT_SHOWXD only if you wish to change the application names to be displayed.

Toolbar : Extended Entity Data Tools
Menu : GeoTools -> Extended Entity Data -> Extract extended entity data to ASCII files
CmdLine : GT_XD_EXTRACT

The GT_XD_EXTRACT command is used to extract extended entity data into ASCII text files. The ASCII format of the exported data is generic and designed in such a way that any third-party program can be written to read the information from this file without difficulty.


Civil Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Civil Tools

Civil Tools ››

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces-> Create TIN (Delauney triangulation) & Voronoi polygons
CmdLine : GT_TRIANGULATE

The GT_TRIANGULATE command connects a set of points to form irregular triangles based on the TIN model. The GT_TRIANGULATE command also provides an option to create Voronoi polygons.

In mathematics, a Voronoi diagram is a partitioning of a plane into regions based on distance to points in a specific subset of the plane. It is also called a Voronoi tessellation, a Voronoi decomposition, a Voronoi partition, or a Dirichlet tessellation. Voronoi diagrams have practical and theoretical applications to a large number of fields, mainly in science and technology.

The GT_TRIANGULATE command creates the surface as closed 3d polylines or 3dfaces. These are created in the layer Surface_<Surface_Name>.and the surface data is also stored externally in a GeoDTM file. The GeoDTM file is saved in the User/AppData/....GeoTools folder

For example, on my computer, this would be at "c:\Users\RAKESH RAO\AppData\Local\GeoTools\BricsCAD\V20\DTM_Surfaces" .

There are options in this command to create a bounding box (which is created as a closed polyline in the Surface_<SurfaceName>_BOUNDARY layer) and also an option to create a boundary hugging closed polyline across the entire surface data. Please be aware that this can be a time-consuming operation depending on your data-set.

You can also specify a value for the maximum length for the sides of the TIN triangle. Setting this to a realistic value will help you to avoid creating triangulation outide the intended boundaries of the data-set. You must set this value based on the average expected correctly compute side of each TIN triangle.

Watch:

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> Import a TIN Surface (GeoTDTM)
CmdLine : GT_IMPORTSURFACE

The GT_IMPORTSURFACE command is used to import a previously saved GeoDTM TIN data.

GeoTools TIN data is saved in external .GeoDTM files using the GT_EXPORTSURFACE command and the same can be retrieved here.

.

By default, the .GeoDTM files are saved in the <user/AppData/Local...GeoTools> folder, and their list is shown in the drop-down menu. You can also import the Surface from a .GeoDTM file stored elsewhere on your computer. Use the Browse button to select such a file.

While importing, you can specify whether you want to import the points, TIN triangles or bot. At the end, it reports the number of points or triangles imported.

The rectangular boundary of the surface also is imported as a closed 2d polyline.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> Export a TIN Surface (GeoTDTM)
CmdLine : GT_EXPORTSURFACE

The GT_EXPORTSURFACE command is used to export a selection of 3d polylines or 3dfaces into .GeoDTM TIN data files, stored externally.

By default, the .GeoDTM files are saved in the <user/AppData/Local...GeoTools> folder.

GeoTools TIN data is saved in external .GeoDTM files using the GT_EXPORTSURFACE command and the same can be retrieved here.

.

By default, the .GeoDTM files are saved in the <user/AppData/Local...GeoTools> folder.

A 'Browse' button is also provided to enable you to save the surface in a different location. In such case, two copies of the surface is saved, one in the default AppData folder and another in user-specified location.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> Change the elevation of a surface
CmdLine : GT_ELEVATESURFACE

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> Copy a TIN surface
CmdLine : GT_CopySurface

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> Delete a TIN Surface
CmdLine : GT_DeleteSurface

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> (Cut/Fill) Volume between surfaces
CmdLine : GT_SURFACEVOLUME

The GT_SURFACEVOLUME command is used find the volume between two surfaces, or between one surface and one datum reference elevation.

You must specify the surfaces from the list. They must be saved surfaces and must be imported into the drawing as well.

The command computes the volume of the surfaces and reports them in drawing units. This is a work-in-progress command and in the next update, it is planned to have the ability to present the volumes in different units.

For example, you can specify the drawing unit and the volume unit and the system will do an automatic conversion and present the volume quantities accordingly.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> Create Boundary Around Surfaces/ Points
CmdLine : GT_DrapeBoundary

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Surfaces -> Create Grading Object
CmdLine : GT_CreateGrading

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Map Sheet Tools -> Create and place map sheet index block
CmdLine : GT_SHEETINS

The GT_SHEETINS command allows to insert a sheet-index (a block which is rectangular in shape and shows the boundary of a plotted sheet) on a map by specifying the required size of sheet in X (horizontal) and Y (Vertical) direction with specified rotation angle. The block carries a single attribute which also stores the sheet name.

Watch:

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Map Sheets -> Create Map Sheets from (around) Center-Lines
CmdLine : GT_MAPSHEETMAKER

The GT_MAPSHEETMAKER command is used to create a corridor around a selected center-line (multiple selection is possible) and wblock all the objects inside that corridor into a new DWG.

The command will ask for the offset distance (sideways) and distance in front-back direction, and will offset and extend the lines and join them to create a closed polygon.

Next, all crossing objects falling inside this polygon are selected and wblocked into a drawing which has a running name, like _Sheet_1, 2, 3 and so on.

It was decided not to do the trimming and offsetting in one single command because of complications and performance issues. Once the sub-drawing is created using this command, you can open it and use the next command GT_MAPSHEETTRIMMER for automatic external trimming.

Watch:

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Map Sheet Tools -> Create layouts from map sheets
CmdLine : GT_MAPSHEETLAYOUTS

Description pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Map Sheet Tools -> Place map sheets along a linear geometry
CmdLine : GT_MAPSHEETPLACE

Description pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Map Sheet Tools -> Zoom to Map Sheet
CmdLine : GT_MAPSHEETZOOM

Description pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Map Sheets -> (Auto)Trim outside map sheet
CmdLine : GT_MAPSHEETTRIMMER

The GT_MAPSHEETTRIMMER command trims everything that lies outside a closed polygon. It is designed to be used by GeoTools users who need to routinely trim outside a map sheet.

This is the equivalent of the EXTRIM command of AutoCAD. Please note that this command can only trim 2d lines, polylines, circles & arcs but not hatch patterns, blocks, text etc.

These must be manually edited. The above two commands can be used to automate your process of creating the smaller drawings and trimming the boundary. It cannot be 100% automatic but with these two commands, you can achieve upto 80-85% automation.

Watch:

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Create contours from TIN model
CmdLine : GT_CONTOURBUILDER

Description pending

Toolbar : Civil Tools
Menu :GeoTools -> Build -> Interpolate point elevation from neighboring polylines - manual pick
CmdLine : GT_PTINTERAUTOMATIC

The GT_PTINTERAUTOMATIC command is useful to assign point elevations by interpolating the elevations of neighboring polylines or 3dfaces from surface data. This is done by automatically scanning the surface data layers.

You are first asked for an initial zoom window size. If surface data for interpolation could not be found in the specified zoom, the value is incremented by 1.0 unit and a new search is initiated.

Next, you must specify the surface name to be used. A list of available saved surfaces are presented. The surface data must also be available in the drawing in the layer Surface_<Surface_Name>. If such data is not available, it must first be imported using the GT_IMPORTSURFACE command.

You can get the surface elevation at the picked point or select a number of existing points (or blocks) and have their elevations updated by interpolation.

Toolbar : Civil Tools
Menu : GeoTools -> Civil -> Create a DEM grid from surface data
CmdLine : GT_DEMGRID

Description pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Annotate chainages along a route
CmdLine : GT_CHAINAGE

The GT_CHAINAGE command is used to annotate chainage distances along a traverse. The traverse must be drawn as a 3d or 2d polyline.

The annotation is done using a default tick block (named TICK-n) or a user-defined block. The What to annotate section determines the points along the traverse where the annotation is done. You can create annotations in several ways - either at each vertex of the polyline (Source) or at a fixed regular distance (Interpolate) along polyline, both Source and Interpolate or at picked points locations along the traverse. Please be aware that picked points annotation are always slope measurements and not horizontally projected ones irrespective of the settings shown in Measure Distances in.

Annotation can be done using chainage value or route name. Depending on the selection, the tick mark block will display the route name or the chainage value as its attribute.

Note: The Chainage output can be saved as Comma Separated Value (CSV) file, which becomes easy to open in Excel and do the required editing

Gap Length: This is the distance between the end of the annotation tick mark and the annotation text.

Starting Chainage Count: When the Annotate Using is set as Route Name, the Starting Chainage Count defines the running number count of the first chainage point.

Chainage Format: This drop down box allows to select either 0+00, 0+000 or 0+0000.
If 0+00 is selected, the distance of 100 drawing units is written as 1+00 and 1000 feet is written as 10+00..
If 0+000 is selected, the distance of 1000 drawing units is written as 1+000 and 100 feet will be 0+100.

Choose the format that most closely suits your annotation style.

Chainage Description Options:

You can import and display additional chainage descriptions (at specified changes) from an external ASCII file. This file must be a comma delimited ASCII text file in the following format:

<chainage> , <description>
0.0,BEGIN RECONSTRUCTION
26.7,INTERSECTION
138.5,EXIST LANDING
187.0,FILL EXISTING SWALE
246.75,T/S 14"PINE LT
278.5,EXIST WB,INSTALL DIP
299.0,BEGIN AB@4"DEPTH,12'WIDTH
348.0,EXIST PUNCHEON
398.0,END AB PLACEMENT
465.5,T/S 2-SNAGS LT
530.0,T/S 12"PINE LT
553.0,EXIST WB,INSTALL DIP
612.0,T/S 12"PINE LT
854.0,T/S 16"SNAG LT
895.5,T/S 12"SNAG RT
923.0,EXIST WB,INSTALL DIP
978.5,T/S 14"PINE RT
1033.0,T/S 14"SNAG LT

The first field is the chainage value followed by the descriptions for that chainage, separated by comma(s). More than one description can be specified here separated by commas.

The operating parameters of this command can be saved into ASCII INI files and restored.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Draw cross-sectional profile from 3D polyline
CmdLine : GT_PROFILE

The GT_PROFILE command is used to create cross-sectional (longitudinal) profiles from 3d polylines. The elevation values (heights) are displayed along the Y axis while the chainages (distances) are displayed along the X axis. In addition, there are options to create named sections, segmental distance annotation, X and Y coordinates annotation as well.

The What to annotate section determines the points along the 3d polyline where the profile annotation is done. You can create annotations in several ways - either at each vertex of the polyline (Source) or at a fixed regular distance (Interpolate) along polyline, or both Source and Interpolate.

Vertical Exaggeration Factor: This is the ratio of the vertical to horizontal scale of the profile. This value shows how many times the vertical measurements (heights) are exaggerated relative to the horizontal measurements (chainages). The horizontal measurements are always created at unit scale (1.0).

Profile Interval: Denotes the interval distance at which the 3d polyline is profiled (this affects the smoothness of the profile curve).

Annotation Interval: Denotes the interval (distance) at which the profile annotation is created.

Reference Height: This is the elevation at the base of the profile. Specifying a non-zero value will prevent the profile vertical lines from being too long.

Starting Chainage Count: When the Create Named Section option is selected, the Starting Chainage Count defines the count of the first point being annotated.

Adjust Annotation Spacing: If the points being profiled are too close to each other, the annotations fall over each other and are cluttered (un-readable). If this option is checked, the annotations will be spaced out (and connected with a guide line) so that the annotation text will not overlap.

Highlight Crossing Objects: This enables special annotations to be placed at positions along the 3d polyline where other objects cross. The crossing objects supported are blocks and shapes. i.e if there is a block or shape object anywhere along the line, that position within the profile will also be annotated.

The Distances from profile bottom option define the distance (drawing units) from the bottom of the profile line to each one of the different horizontal annotations.

Quick stats: Produces statistics about the polyline being profiled. The values obtained from the polyline statistics provide valuable guidance to set the profile parameters more appropriately.

Note: The Chainage output can be saved as Comma Separated Value (CSV) file, which becomes easy to open in Excel and do the required editing

Watch:

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Adjust cross-section elevations
CmdLine : GT_ADJUSTLEVELS

The GT_ADJUSTLEVELS command is a “fixer” command to re-compute cross-sectional profile elevations. Often, surveyors may need to re-compute or modify the profile elevations from a new set of elevation data or new profile obtained from other sources. Rather than having to re-create the profile from a new 3d polyline, this command helps by regenerating the levels (elevations) by picking the modified (or new super-imposed) cross-sectional profile line. In other words, while the GT_PROFILE command creates a cross-sectional profile (and elevation / chainage annotations) from a 3d polyline, the GT_ADJUSTLEVELS command would take an ‘already-created’ profile as input and re-create the elevations and chainages.

A few basic parameters that this command would require are datum (reference) height, datum point location, horizontal / vertical exaggeration factors and annotation interval, all of which are asked on the command-line.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Draw graded polylines
CmdLine : GT_DRAWGRADE

The GT_DRAWGRADE command creates graded 3D polylines or lines. The grade (or slope) can be specified in several ways, as a percentage (%), decimal (1:n) or as degrees. The grade can be created as a 3d line/polyline or even as descriptive leader objects (with arrows-heads).

Note: Use DIMSCALE variable to control leader arrow size.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Draw stepped 3d polylines
CmdLine : GT_STEPPED3DPOLY

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Perform traverse error adjustment
CmdLine : GT_TRAVADJ

The GT_TRAVADJ command implements the Bowditch's method of traverse adjustment for both open and closed traverse polylines. The Bowditch's method is based on distributing the linear mis-closure (closing error) across each vertex proportionally as a ratio between the distance from the start to the total traverse distance.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Multiple Cross Section Tools
CmdLine : GT_CROSSSECT

The GT_CROSSSECT command is a multi-process command that uses several existing GeoTools commands like GT_DRAPEPOLY, GT_SET_Z_PL and GT_PROFILE to perform a series of operations indented to facilitate volume computations across a surface.

The idea behind the GT_CROSSSECT command is to create cross-sectional profiles across the terrain at regular intervals (strips) and to compute the cross-sectional area formed by each strip. This area multiplied by the width of the strip gives the volume of each strip of the terrain. The sum of the volumes of each strip gives the volume of the entire surface.

Watch:

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Alignment C/F
CmdLine : GT_ALIGNMENTCF

The GT_ALIGNMENTCF command is used to analyze two cross-sectional profiles created by GT_CROSSSECT command and compute the cut-fill areas across the profile. The inputs for this command are the closed cross-sectional profile line created by GT_CROSSSECT command and a new finished grade alignment line across the profile that you want to place. Given these two inputs, the GT_VOLUME command will compute the cut and fill areas and color them accordingly as specified in the settings (see dialog box above) and display the same on the profile.

The volume computation can be reported in terms of number of cubic units or as a measure of the number of excavating vehicles. For example, if I have a tipper capable of carrying 12 cu.m of soil, I will enter the 'Volume measurement unit' as 'Tipper' and the 'Volume Conversion factor' as 12.0.

The GT_ALIGNMENTCF command can also create an updated 3d polyline that represents the finished ground level.Since the existing ground profile is linked to the 3d polyline from which it was created, GT_ALIGNMENTCF command creates an updated 3d polyline of finished ground polyline as well. The layers for existing ground and finished ground are specified in the dialog box as shown above.

At the end of the computation, there is also a listing of the total area of fill and cut.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Create map grid
CmdLine : GT_ANNOGRID

The GT_ANNOGRID command is used to draw a map grid within a map sheet. The map sheet can be specified either by picking an existing sheet index block (created by the GT_SHEETINS command) or by picking points on the screen to 'show' the extents of the map sheet. Two types of annotation parameters are required – the X/Y spacing for the grid tick marks and the X/Y spacing for the grid annotation text at the edges. The grid tick marks as well as the annotation text are defined in pre-defined blocks which can be customized to achieve a custom grid. A sample format of these pre-defined blocks is provided in the BLOCKS folder under the GeoTools installation folder. The name of the grid tick mark block is GRID_CROSS.dwg and the names of the grid text blocks (annotations at the edges) are TICK_LEFT.dwg, TICK_RIGHT.dwg, TICK_TOP.dwg and TICK_BOTTOM.dwg. You CAN CHANGE the style/color/linetype etc of these blocks to suit your annotation style and requirements but DO NOT change the insertion point or the attribute tag of the lone attribute in this block.

Scale: The scale value used here is only as a key to specify at which map scale the mapping is done, so that all the grid annotation settings can be saved for future reference with this as the reference. (Note: This scale has no effect on any of the other values specified in the grid annotation settings).

You can thus define multiple sets of annotation settings for different map scales and display them in the list box. Such sets can be saved and restored from ASCII INI files for future use. You can then choose one of them and click on Make Current to make them the current settings. Upon clicking on Ok, the current settings are used by the program to perform grid annotation.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Bearing and Distance
CmdLine : GT_BEARINGDIST

The GT_BEARINGDIST command will create the bearing angle and distance annotation (as text objects) from one selected point to another.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Round off bearings
CmdLine : GT_BRGROUND

The GT_BRGROUND command is used to round off bearings to a specified precision. Usually the bearings are represented in typical styles like : 50-23-24, 149d49'32", 38° 55' 46", N 149° 41' 27" E, S 85d27' E and so on. The GT_BRGROUND command works on the seconds part of the bearing and rounds it off to the nearest number of specified seconds.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Color-coded slope display of TIN faces
CmdLine : GT_SLOPEDISPLAY

The GT_SLOPEDISPLAY command is used to color-code TIN triangles (3dfaces or 3dpolylines) as per a range of slope values. A maximum of 5 slope ranges is allowed. The start and end slope values of the range is specified and a color is chosen for each slope range. The slope representation can be done as a solid HATCH fill or a SOLID object fill.

The GT_SLOPEDISPLAY command allows slope value up to 2000% which is a 87 degree slope. It allows to compute the slope in both degrees and percentage. The output of slope can be exported into .CSV format.

Watch:

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Find slope of a single 3dface or 3dpolyline
CmdLine : GT_FINDSLOPE

The GT_FINDSLOPE command is used to query the slope of a single 3dface or 3dpolyline, The slope in percentage is displayed on the command line.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Find slope between two points
CmdLine : GT_FINDSLOPELINE

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Draw Voronoi polygons
CmdLine : GT_VORONOI

The GT_VORONOI command is used to draw Voronoi polygons from a selection of points and blocks. This command uses the settings as set in the GT_TRIANGULATE command and generates the Voronoi polygons.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Road Design -> Create road carriageway
CmdLine : GT_CreateCarriageway

The GT_CREATECARRIAGEWAY command is a 3d visualization tool that also helps to build the 3d DTM and model of the road carriageway. You need to first have the finished road alignment created as a 3d polyline (using the GT_VOLUME command). You can then define a closed 2d polyline as the cross-section of the road carriageway and it can be swept through the 3d alignment to create a 3d model of the road carriageway.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Road Design -> Draw Vertical Curves
CmdLine : GT_DRAWVCURVES

The GT_DRAWVCURVES command is used to design vertical alignment curves.

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Road Design -> Draw horizontal alignment Curves
CmdLine : GT_DRAWHCURVES

Description Pending

Toolbar : Civil Tools
Menu : GeoTools -> Civil Tools -> Civil 3D LandXML to CSV
CmdLine : GT_LANDXML2CSV

Description Pending


Geographic Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Geographic Tools

Geographic Tools ››

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic Tools -> Coordinate Transform
CmdLine : GT_COORDTRAN

The GT_COORDTRAN command provides Coordinate Conversion from one system to another, It provides options to convert between the following coordinate systems:

  • Lat-Longs (geographic)
  • UTM (Universal Transverse Mercator)
  • Transverse Mercator
  • Lamberts Conformal Conic
  • Albers Equal Area Projection

To use GT_COORDTRAN, you will need to know exactly what projection system your existing coordinates are in an what system you want it to be transformed to. You will also need to know which spheroid (and datum) your data should be in.

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic -> Coordinate Transform -> Setup
CmdLine : GT_COORDTRAN_SETUP

The GT_COORDTRAN_SETUP command is used for setting the parameters for coordinate transformation. Please remember that the transformation parameters must be set with care and caution. If you are doing UTM2Geo or Geo2UTM transformation, you must specify the zone number correctly.

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic -> DWG2KML (Google Earth KML/Z Export)
CmdLine : GT_DWG2KML

GT_DWG2KML is used to convert CAD data to Google KML files. The KML (Keyhole Markup Language) format is an ASCII (as well as binary [KMZ]) format in which vector data about geographic features on the surface of this earth can be represented. KML is a variant of the XML format and is the native format used by Google Earth and Google Maps to superimpose user-data on its maps. Vector data from CAD and other GIS software can be super-imposed on the satellite imagery in Google Earth providing a meaningful interpretation of the underlying terrain data. You can also attach attributes and terrestrial images (photos) to features which can be displayed on a popup window.

DWG2KML Main Dialog

DWG2KML Data setup Dialog

Watch:

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic -> KML2DWG (Google Earth KML/Z Import)
CmdLine : GT_KML2DWG

The GT_KML2DWG command complements the GT_DWG2KML (Google Export) tool. In its first version now, the GT_KML2DWG command reads KML or KMZ files generated by Google Earth and recreates placemark points, polygons and paths in the drawing. The objects are placed in the drawing in the same units as those that exist in the KML/Z file. With this command, it is now possible to do a complete round-trip of information from CAD to Google Earth and back. The GT_DWG2KML command is used to export dwg entities to KML/Z format which can be opened in Google Earth.

Watch:

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic -> DWG2KML-Batch Single Feature
CmdLine : GT_DWG2KML_BATCH1F

The GT_DWG2KML_BATCH1F is a batch process, command-line version of the KML export program, which allows a single feature export.

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic Tools -> DWGKML-Batch Multiple Feature
CmdLine : GT_DWG2KML_BATCHMULTF

GT_DWG2KML_BATCHMULTF allows multiple feature export in one operation, defined by schema and folder-based classification. This tool is suitable to be run in batch mode by supplying all the required parameters in a script file.

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic -> GEIMPORTIMAGE (Google Earth Image Import)
CmdLine : GT_GEIMPORTIMAGE

The GT_GEIMPORTIMAGE command is a process tool to capture a window view in Google Earth and import the same into CAD with geo-referenced coordinates. It is a semi-automatic, assisted procedure that involves using Google Earth commands & operations in an exact step-by-step procedure and attach the current Google Earth view in CAD using geo-referenced coordinates.

The accuracy of this procedure depends on the precision with which you capture the point coordinates and if all the instructions are followed as closely as possible.

The command relies on the ability of Google Earth to extract the cursor coordinates into clipboard memory using the Control-Shift-C command. You are asked to zoom to the area of interest and position the cursor at the lower left and upper right coordinates as accurately as you can. The coordinates are captured in clipboard using Control-Shift-C and accessed by CAD. You are then asked to save the image in Google Earth and the same is attached in CAD using the correct geo-referenced coordinates.

This is an approximate procedure but the results, if captured diligently, are pretty accurate for most checks and recce operations.

The GT_GEIMPORTIMAGE command has been significantly improved over several iterations, in the messaging and reporting departments. The importing of an image from Google Earth to your CAD platform is a fundamentally manual (or semi-automatic) process that involves several steps at the CAD level and at the Google Earth level.

The messaging and prompting of the instructions have been improved. As an illustration, we reproduce again the complete set of workflow that enables this tool to perform its task.

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic -> GEIMPORTPOINT (Google Earth Point Import)
CmdLine : GT_GEIMPORTPOINT

Description Pending

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic Tools -> Rubber Sheeting With Google Earth Control Points
CmdLine : GT_GERSHEET

The GT_GERSHEET command is a quick way to do a 2-point rubber-sheeting of vector data from CAD to fit in Google Earth. The reference points for rubber-sheeting are defined from visually picked points on Google Earth and the same point is to be picked in the CAD drawing also. The GT_GERSHEET command uses the coordinates information from Gogle Earth and maps it to the drawing coordinates and stretches (rubber-sheet) the data in the CAD to match the Lat-Long coordinates of Google Earth. It works on the same principle of as GT_GEIMPORTIMAGE which is used to import geo-referenced screen-shots from Google Earth into CAD.

The GT_GERSHEET rubber-sheets and fits your existing CAD data into the LatLong format as expected by Google Earth. The command works by asking to pick two known points in CAD and in Google Earth. With these coordinates, a simple rubber sheeting (scale and move) is performed.

This ensures that the coordinates are now in Lat Long coordinates matching Google Earth coordinates.

The command provides step-by-step instructions on how to setup and capture your coordinate both in CAD and in Google Earth.

First, you pick the first known point in your CAD data and zoom into the same location in Google Earth. You then capture the LatLong coordinates of the point in Google Earth using Control-Shift-C. These coordinates are transferred to CAD from the clip-board.

Next, you pick the second known point in CAD and zoom into the same location in Google Earth. Capture the coordinates again using Control-Shift-C and the coordinates are transferred to CAD again.

Using these two pairs of known source & target coordinates, GeoTools does a simple scaling and moving to fit the selected CAD data into the correct geographical location as required by Google Earth.

The GT_GERSHEET command requires you to have your CAD and Google Earth running together to perform its job.

Next, you can export this data to Google Earth using the GT_DWG2KML command, and the KML file is imported into Google Earth to fit the imagery exactly.

Watch:

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic -> Rubber Sheeting with Drawing Control Points
CmdLine : GT_GERSHEETWITHCTRLPOINTS

The GT_GERSHEETWITHCTRLPOINTS command is another quick way to do a 2-point rubber-sheeting of vector data from CAD to fit in Google Earth. The GT_GERSHEETWITHCTRLPOINTS command complements the GT_GERSHEET command. This command requires two pre-existing control points in the drawing (defined as block named GT_GPS_POINT) and they are used to rubber-sheet and fit the data from Lat-Long coordinates to UTM or vice-versa.The reference points for rubber-sheeting are defined from visually picked points on Google Earth and the same point is to be picked in the CAD drawing also.

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic Tools -> Import elevations from Google Earth
CmdLine : GT_GEIMPORTELEVATIONS

Description Pending

Toolbar : Geographic Tools
Menu : GeoTools -> Geographic Tools -> Insert a geo tagged photo
CmdLine : GT_INSPHOTO

GT_INSPHOTO allows a geo-tagged photo to be attached to your CAD drawing. Geo-Tagging is a method by which geographical position info is attached to a normal photo image (JPG, PNG, GIF etc) as a meta data, such that the location (latitude and longitude) where the photo was taken is stored along with the image file. Such a capability is now common-place with smart phones and tablets which have built-in GPS capabilities. It is also possible to geo-tag a photograph using many of the higher end cameras in the market today.

The GT_INSPHOTO is a great tool to import your geo-tagged images into CAD for subsequent export into a KML file using the GT_DWG2KML command.

You can select multiple image files for import, a starting ID, an ID prefix and also determine the next highest available ID in your drawing. The EXIF data from the images can also be saved optionally as xdata attached to the objects so that they can be further exported into a KML file is necessary or used by other programs, or using the GT_DWG2KML function in GeoTools.


Geological / Mining Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Geological / Mining Tools

Geological / Mining Tools ››

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Draw Rose Diagram/Stereonet
CmdLine : GEOL_ROSEDIAGRAM

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Place dip/strike symbols
CmdLine : GEOL_PLACEDIPSTRIKESYMBOL

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Change Dip Angle
CmdLine : GEOL_CHANGEDIPANGLE

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Flip Dip Direction
CmdLine : GEOL_FLIPDIPDIRECTION

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Update Dip Azimuth Attribute Values
CmdLine : GEOL_UPDATEDIMAZIMUTH

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Settings
CmdLine : GEOL_DIMSTONE_SETTINGS

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Import bore-hole data
CmdLine : GEOL_BOREHOLELOGGER

Description Pending

Watch:

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Build bore-hole strata [LITHOLOGY] in different ways
CmdLine : GEOL_STRATABUILDER

Description Pending

Watch:

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Draw bore-hole cross-section strata
CmdLine : GEOL_BOREHOLESTRATA

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Draw cross-section across bore-holes
CmdLine : GEOL_BOREHOLESECTION

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Bore Hole Planner - Across lease area
CmdLine : GEOL_BOREHOLEPLANNER

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Insert bore hole along a section
CmdLine : GEOL_BOREHOLEINSERT

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Make bore-hole text smaller
CmdLine : GEOL_BOREHOLETEXTSMALLER

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Make bore-hole text bigger
CmdLine : GEOL_BOREHOLETEXTBIGGER

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Rename a bore-hole section
CmdLine : GEOL_BOREHOLESECTIONRENAME

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Make bore-hole size smaller
CmdLine : GEOL_BOREHOLESMALLER

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Make bore-hole size bigger
CmdLine : GEOL_BOREHOLEBIGGER

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Create 3d bore-hole sections
CmdLine : GEOL_MAKE3DSECTIONS

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Bore-hole export to CSV
CmdLine : GEOL_BOREHOLEEXPORT

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Dimensional Stone Tools -> Delete bore hole sections / points
CmdLine : GEOL_BOREHOLESECTIONDELETE

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Dimensional Stone Tools -> Compute Influence area
CmdLine : GEOL_INFLUENCE

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Draw bore-hole cross-section elevation
CmdLine : GEOL_BOREHOLE-X-SECTION

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Create 3d tunnel models
CmdLine : GEOL_TUNNELMAKER

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Mining & Geological Tools -> Create topo/geological running patterns
CmdLine : GEOL_RUNNINGPATTERNS

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Draw Heave
CmdLine : GEOL_DRAWHEAVE

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Fault Shift
CmdLine : GEOL_FAULTSHIFT

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Strike-Dip Calculator (3 point solution)
CmdLine : GEOL_3POINT

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Mining Symbols
CmdLine : GEOL_MININGSYMBOLS

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Import (read) a MINEX coal reserves data file
CmdLine : GEOL_MINEX2DWG

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools ->Draw Lease Area Map Element
CmdLine : GEOL_LEASEAREADRAW

Description Pending

Toolbar : Geological / Mining Tools
Menu :GeoTools -> Mining & Geological Tools -> Lease Area Planner
CmdLine : GEOL_LEASEAREAPLANNER

Watch:

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Area-Volume Calculation
CmdLine : GEOL_AREAVOLCALC

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Map Annotations -> Place Boundaries Annotation
CmdLine : GEOL_PLACEBOUNDARIESBLK

Description Pending

Toolbar : Geological / Mining Tools
Menu : GeoTools -> Geological / Mining Tools -> Map Annotations -> Place Signoff Block
CmdLine : GEOL_PLACESIGNOFFBLK

Description Pending


Transmission Lines Design

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Sag Template Design

Transmission Lines Design ››

Toolbar : Transmission Lines Design
Menu : GeoTools -> Transmission Lines Design -> Sag Template Design
CmdLine : TR_SpanDraw

Description Pending

Toolbar : Transmission Lines Design
Menu : GeoTools -> Transmission Lines Design -> Draw Sag Curve (CATENARY) between transmission poles
CmdLine : TR_CATENARY

Description Pending

Toolbar : Transmission Lines Design
Menu : GeoTools -> Transmission Lines Design -> Place a transmission pole in plan and elevation
CmdLine : TR_PlacePole

Description Pending


Draw hot/cold/GC curves between span

Transmission Lines Design ››


Place a transmission pole in a elevation view

Transmission Lines Design ››


Miscellaneous Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Miscellaneous Tools

Miscellaneous Tools ››

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Images -> Insert GEO-Referenced images
CmdLine : GT_GEO_INS

The GT_GEO_INS command can be used to insert geo-referenced image files. These image files can be either in the TIF, BMP or JPG format and they MUST be accompanied by their world files as well. The World files have an extension of TFW, BPW or JGW respectively. This command DOES NOT import GeoTIFF files in which the geo-referencing information is stored in the file header.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Images -> Scan selected image files and build image boundary list
CmdLine : GT_IMAGESCAN

The GT_IMAGESCAN command is a pre-processor command which scans multiple image files and their corresponding world files and builds an in-memory list of image-name and their positioning information (insertion point, extents etc) which will be used by the next command, GT_IMAGESEARCH.

The following image formats are supported: tif, jpg, bmp and png. Their corresponding world files must have the extension tfw, jpw, bmw and pgw respectively.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Images -> Insert geo-referenced image corresponding to selected AOI
CmdLine : GT_IMAGESEARCH

GT_IMAGESEARCH asks the user to specify an area of interest (rectangular boundary) and will search the scanned images in memory (created using the GT_IMAGESCAN command) and attach the image corresponding to the specified Area of interest.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Roughen a Line
CmdLine : GT_ROUGHEN

Pick a linear object (line or polyline) and roughen it. The roughened line contains randomly created zig-zags on either side of the center line

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Compute surface area of 3DFaces
CmdLine : GT_SURFAREA

Computes the surface area as well as horizontally projected area of selected 3DFACE objects. In addition, you have the option to create the 'projected' 3DFACE objects on the XY plane.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Explode objects - Retain Object Table and extended entity data
CmdLine : GT_XP_RETDAT

Description Pending

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Report on areas covered by HATCH objects
CmdLine : GT_HATCHAREA

The GT_HATCHAREA command produces a report of selected hatch objects. It shows the area covered by each class of hatch pattern as well as number of hatch objects in each pattern, and additional information about solid/gradient hatches, color tones etc.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Break(Split) objects along a polyline
CmdLine : GT_CONTBREAK

The GT_CONTBREAK command is a general purpose command to break a drawing along a boundary. The boundary can be open or closed and must be defined as a polyline.

In the above illustration, you see a screenshot of a very dense contour drawing. By setting up appropriate closed polyline cutting edges (blue lines in the figure above), it is possible to break the contours easily at the boundary of these polygons. Once broken, each part can be exported into it own DWG using the GeoTools GT_ESELECT and the WBLOCK command.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Enter the co-ordinates of point in geographic format [Lat-Long]
CmdLine : GT_GEO

GT_GEO is not a GeoTools command that can be run off the command line. Instead, it is a transparent function which can be called at any point when AutoCAD / BricsCAD is expecting a point input. The (geo) function helps to input coordinates in geographic coordinates (Latitudes and Longitudes) in degree-minute-second format (for example, 33° 01' 53.8739",18° 01' 11.2246",480.0 is a Latitude of 33° 01' 53.8739" and a Longitude of 18° 01' 11.2246" and a height of 480.0

Note: 1) You have to run (GEO) function by typing in PARENTHESES without which it will not run.
2) The (geo) function can be called ONLY when an AutoCAD / BricsCAD command (and not a GeoTools command) is expecting for a point entry.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Civil -> Create contour area table
CmdLine : GT_CONTAREATABLE

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Classify Elevation Contours
CmdLine : GT_CONTCLASS

This command places objects representing contours (polylines or LDDT contour objects) into different layers according to their contour interval.

You can select a maximum of five contour intervals and specify a layer name for each of these contour intervals. The selected contour objects are then placed in their allotted layers. You can select polyline objects or LDDT contour objects.

Tip: GT_CONTCLASS can be used as a terrain analysis tool or for creating map output showing contours of specific elevations only.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Delete paper-space layouts
CmdLine : GT_DELETELAYOUTS

The GT_DELETELAYOUTS command will present you with a list of all paper space layouts and you can select multiple layouts and delete them in one go.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> Contour spacing distance tool
CmdLine : GT_CONTDIST

The GT_CONTDIST command is an intra-contour spacing checker and contour breaking tool. Often, when the distance or spacing between two adjacent contours is too small, it is difficult to either view the contours clearly or to create un-cluttered labels to depict the contours. In such situations, it is useful to break the contours at locations where the distance between the contour and the adjacent contours on either side is less than a specified Distance Tolerance.

The GT_CONTDIST command measures from each vertex of the contour polyline, the distance on either sides of the contour being processed, and if the distance is less then the specified Distance Tolerance then that point is marked in memory for breaking. In this manner, the whole contour polyline is checked and the segments that are within the Tolerance distance from the adjacent contours are broken.

The contours can be checked for proximity at each vertex or at a fixed regular interval along its length.

Exclude major / special contours from breaking: Checking this box allows to exclude major contours and specified exclusion contour elevations from breaking.

Toolbar : Miscellaneous Tools
Menu : GeoTools -> Miscellaneous -> CSV Editor
CmdLine : GT_CSVEDITOR

GT_CSVEDITOR is used to edit comma delimited ASCII text files within the CAD editor. The current version allows to edit CSV files with a max. 8 columns of CSV data. The data is presented in a dialog box and each column can be edited by entering a new value in the edit box or choosing one from the pull-down menu. A pre-defined set of probable values can be defined and supplied to the command.


Selection Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Selection Tools

Selection Tools ››

Toolbar : Selection Tools
Menu : GeoTools -> Selection -> Polylines based on properties
CmdLine : GT_PLFILTER

Filters polylines based on their properties.

The following properties of polylines can be filtered from the selection set.

2D | 3D | Open
Closed | Fitted | Arced
Splined | Meshed | Polyface
Z value | Length | Number of vertices
Area | Start-End Distance |

The length, area, number of vertices or start-end distances are specified by entering < n, <= n, > n, >= n, = n, /= n where "n" is the value to check for.

Specify the numeric logical comparative operator in one of these ways.

< 'Value' - Less than 'Value'
<= 'Value' - Less than or equal to 'Value'
> 'Value' - Greater than 'Value'
>= 'Value' - Greater than or equal to 'Value'
= 'Value' - Equal to 'Value'
/= 'Value' - Not Equal to 'Value'

Enter Length / Area / Z criteria: <= 55.0
This would select all objects with the specified property less than or equal to 55.0

Notes: The Start-End distances are always measured in slope in the case of 3d polylines. The Z value check will fail if there is even one vertex in the polyline that fails to meet the criterion.

Toolbar : Selection Tools
Menu : GeoTools -> Selection -> Enhanced Entity Selector
CmdLine : GT_ESELECT

The GT_ESELECT command allows the Fence, CrossingPoly [CP] and WindowPoly [WP] selection modes to be applied automatically along multiple polylines which serve as boundaries for the selection.

Once the boundary polylines for selection are specified, the command zooms to each polygon and applies the selection mode. The results of selection from each polyline are combined and placed in the active selection set. This command can be used along with the GT_MAKESEL command to build very powerful selection filters.

Toolbar : Selection Tools
Menu : GeoTools -> Selection -> Build Selection Set
CmdLine : GT_MAKESEL

Toolbar : Selection Tools
Menu : GeoTools -> Selection -> Find objects in selected Z range
CmdLine : GT_FINDZRNG

The GT_FINDZRNG command selects all objects whose Z values fall within a specified range. This is a useful QA / QC tool.

Toolbar : Selection Tools
Menu : GeoTools -> Selection -> Select current layer
CmdLine : GT_SL

The GT_SL command selects an entity and make its layer the current layer. Alternately, you can choose layers from a dialog box

Toolbar : Selection Tools
Menu : GeoTools -> Selection -> Select current style
CmdLine : GT_SS

Select a text and make its style the current text style. Alternately, you can choose available styles from a dialog box.

Toolbar : Selection Tools
Menu : GeoTools -> Selection -> Put last GeoTools selection in [active] 'previous' selection set
CmdLine : GT_LASTSEL

The GT_LASTESEL command retrieves the last created or processed objects by a GeoTools command and places them in internal memory as well as in the active [previous] selection set. The active selection may be overwritten at any time using other selection commands, but the last processed results of a GeoTools command are always “remembered” by this command and can always be brought back to active selection using this command.


Inquiry Tools

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


Inquiry Tools

Inquiry Tools ››

Toolbar : Inquiry Tools
Menu : GeoTools -> Inquiry -> Compute center of gravity
CmdLine : GT_CGRAV

This command computes center of gravity of masses. The objects that you select should be polyline objects and they should define closed areas. The coordinates of the center of gravity are printed on screen and a point object is created at the CG location.

Toolbar : Inquiry Tools
Menu : GeoTools -> Inquiry -> Display Drawing Statistics
CmdLine : GT_DWG_STAT

GT_DWG_STAT gives detailed statistics of the current drawing.

Toolbar : Inquiry Tools
Menu : GeoTools -> Inquiry -> Display horizontal and vertical projected distances
CmdLine : GT_DXY

The GT_DXY command is an extension to the DIST command. In addition to the information given by the DIST command, GT_DXY also displays the horizontal projected distance between the two picked points, in case of 3D points.

Note: GT_DXY command is by default not enabled. To enable it, type CP_DEFMACROS at the command prompt.

Toolbar : Inquiry Tools
Menu : GeoTools -> Inquiry -> Island area detection
CmdLine : GT_ISLANDAREA

The GT_ISLANDAREA command returns the area of the largest closed polygon minus the area of all polygons found inside it. It is a quick island area calculator command, which can scan only one level of embedded islands. You need to ensure not select islands within islands -or- two sets of islands. The command assumes that you are working only with one set of island data.


More Options

Copyright © 1999-2023, Designsense Software Technologies Pvt. Ltd. All Rights Reserved.


More Options

More Options ››

Toolbar : More Options
Menu : GeoTools -> More Options -> Workspace Setup
CmdLine : GT_WORKSPACESETUP

The GT_WORKSPACESETUP command is used to set the default workspace when GeoTools initializes.

Many users prefer to use the 'AutoCAD Classic' or 'Map Classic' workspace in which the pull-down menu bar is visible and the UI is primarily pull-down menus, toolbars and command pallettes. The other workspaces make use of the ribbon zed interface and do not offer pull-down menus by default.

The GT_WORKSPACESETUP command works in AutoCAD 2008 and above and allows you to set your user environment upon starting GeoTools.

Toolbar : More Options
Menu : GeoTools -> More Options -> Load GeoTools
CmdLine : GT_LOAD

If GeoTools has not been automatically loaded during startup, use this command to load GeoTools in your current drawing.

Toolbar : More Options
Menu : GeoTools -> More Options -> Unload GeoTools
CmdLine : GT_UNLOAD

Unload GeoTools from memory.

Toolbar : More Options
Menu : GeoTools -> More Options -> Reset command defaults in registry
CmdLine : GT_REGRESET

The GT_REGRESET command is used to reset or clear the registry entry (default value) that is made for each GeoTools command

Tech Info: All GeoTools operating defaults are stored in HKEY_LOCAL_MACHINE\Software\Four Dimension Technologies\GeoTools

Toolbar : More Options
Menu : GeoTools -> More Options -> Search GeoTools / CADPower Commands
CmdLine : GT_CMDSEARCH

The GT_CMDSEARCH allows a complete search of all GeoTools and CADPower command names and descriptions. You can use this command to search for a string that occurs in either the command name or description. For example, if you want to know about all commands concerning polyline vertices, you may type "vertex" as the search string and search through all the commands in GeoTools and/or CADPower. Whether you are an evaluation user of existing user, this is a useful tool to check which of the tools exist in GeoTools or CADPower as well as the location and names of such tools.

Watch:

Toolbar : More Options
Menu : GeoTools -> More Options -> List GeoTools/CADPower commands
CmdLine : GT_CMDLIST

The GT_CMDLIST command displays a category-wise lists of all commands in GeoTools and CADPower. It also produces a common list of commands which are present in both GeoTools and CADPower.

Toolbar : More Options
Menu : GeoTools -> More Options -> About GeoTools
CmdLine : GT_ABOUT

Displays information about the GeoTools software.

Toolbar : More Options
Menu : GeoTools -> More Options -> Readme and Installation
CmdLine : GT_README

Toolbar : More Options
Menu : GeoTools -> More Options -> License Info
CmdLine : GT_DISPLAYLICENSEINFO

Toolbar : More Options
Menu : GeoTools -> More Options -> Check Updates
CmdLine : GT_CHECKUPDATES

The GT_CHECKUPDATES command checks our web-site for newer versions of GeoTools that may be available.

Toolbar : More Options
Menu : GeoTools -> More Options -> Activate GeoTools License
CmdLine : GT_ACTIVATELICENSE

Toolbar : More Options
Menu : GeoTools -> More Options -> Debug Info
CmdLine : GT_DEBUGINFO

The GT_DEBUGINFO command lists some key license info that is essential in the running of GeoTools software. It lists the computer appkeys, license file location and appkeys from the license file, validity etc.

Toolbar : More Options
Menu : GeoTools -> More Options -> Information about purchasing GeoTools
CmdLine : GT_ORDER

The GT_ORDER command displays the GeoTools ordering and purchase information.

Toolbar : More Options
Menu : GeoTools -> More Options -> Watch GeoTools tutorial videos
CmdLine : GT_VIDEOS

The GT_VIDEOS command displays all the current youtube videos available for GeoTools commands. You can select the video from the link and it will open youtube and play the video. An internet connection is required for this command to function.

Toolbar : More Options
Menu : GeoTools -> More Options -> Help
CmdLine : GT_GTHELP

Displays GeoTools help.

Toolbar : More Options
Menu : GeoTools -> More Options -> Specific Command Help
CmdLine : GT_CMDHELP

The command GT_CMDHELP displays online help for the specified GeoTools command. Basically GeoTools & CADPower are companion products that work in concert. If you enter the name of a command in one product and if it does not exist, it is searched for in the other product and displayed if it exists there. This ensures that the user can locate the command in either software and get help from one single place.

Note: Internet connection is required for GT_CMDHELP command

Toolbar : More Options
Menu : GeoTools -> More Options -> Tutorials
CmdLine : GT_TUTORIAL

Toolbar : More Options (Other functions)
Menu : GeoTools -> More Options -> Display Application Key
CmdLine : GT_APPKEY

The GT_APPKEY command displays the GeoTools application key for computer.